<?php

/*
@copyright

Fleet Manager v6.5

Copyright (C) 2017-2023 Hyvikk Solutions <https://hyvikk.com/> All rights reserved.
Design and developed by Hyvikk Solutions <https://hyvikk.com/>

 */

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Model\DriverSalary;
use App\Model\DriverPayments;
use App\Model\DriverExpense;
use DataTables;
use Auth;
use App\Model\User;
use Illuminate\Support\Str;
use Illuminate\Http\Request;

class DriverSalaryController extends Controller {

	public function __construct() {
	}
	public function index() {
		
		$index['driver_payments'] = DriverSalary::latest()->get();
		$index['driver_expenses'] = DriverExpense::latest()->get();
		$index['drivers'] = User::where('user_type', 'D')->get();

		// dd($index);
		return view('reports.driver_salary', $index);
	}

	private function upload_file($file, $field, $id) {
		$destinationPath = './uploads'; // upload path
		$extension = $file->getClientOriginalExtension();
		$fileName1 = Str::uuid() . '.' . $extension;

		$file->move($destinationPath, $fileName1);

		$x = DriverSalary::find($id)->update([$field => $fileName1]);

	}

	public function store(Request $request) {
		$this->validate($request, [
			'driver' => 'required',
			'amount' => 'required',
			'salary_month' => 'required',
			'work_days' => 'required',
			'salary' => 'required'
		]);

		$id = DriverSalary::create([
			'user_id' => auth()->id(),
			'driver_id' => $request->driver,
			'amount' => $request->amount,
			'amount_date' => $request->amount_date,
			'notes' => $request->notes,
			'salary_month' => $request->salary_month,
			'salary' => $request->salary,
			'work_days' => $request->work_days,
			'advance' => $request->advance,
		])->id;
		if ($request->file('pay_proof')) {
			$this->upload_file($request->file('pay_proof'), "pay_proof", $id);

		}

		return back()->with('msg', trans('Salary added successfuly!'));

	}

	public function otherExpense(Request $request) {
		$this->validate($request, [
			'driver' => 'required',
			'amount' => 'required',
			'amount_date' => 'required',
			'expense_name' => 'required',
		]);

		$id = DriverExpense::create([
			'user_id' => auth()->id(),
			'driver_id' => $request->driver,
			'amount' => $request->amount,
			'amount_date' => $request->amount_date,
			'expense_name' => $request->expense_name
		])->id;
		

		return back()->with('msg', trans('Driver Expense added successfuly!'));

	}

	public function drivers_payments() {

		
		$index['driver_payments'] = DriverPayments::latest()->get();
		$index['drivers'] = User::where('user_type', 'D')->get();

		// dd($index);
		return view('reports.driver_payments', $index);

		/* $years = collect(DB::select("select distinct year(date) as years from expense where deleted_at is null order by years desc"))->toArray();

		$y = array();
		foreach ($years as $year) {
			$y[$year->years] = $year->years;
		}

		if ($years == null) {
			$y[date('Y')] = date('Y');
		}
		
		$data['vehicles'] = VehicleModel::when(Auth::user()->group_id == null || Auth::user()->user_type == "S", function ($query) {
			// Apply this query when the condition is true (role is false or null)
			return $query->get();
		}, function ($query) {
			// Apply this query when the condition is false (role is provided)
			return $query->where('group_id', Auth::user()->group_id)->get();
		});

		$vehicle_ids = array(0);
		foreach ($data['vehicles'] as $vehicle) {
			$vehicle_ids[] = $vehicle['id'];
		}

		$data['vehicle_id'] = "";
		$data['year_select'] = date("Y");
		$data['month_select'] = date("n");
		$data['years'] = $y;

		$data['expense'] = Expense::whereIn('vehicle_id', $vehicle_ids)->whereYear("date", date("Y"))->whereMonth("date", date('m'))->get();
		// dd($index);
		return view('reports.driver_payments', $data); */
	}

	public function drivers_payments_post(Request $request) {
		$this->validate($request, [
			'driver' => 'required',
			'amount' => 'required'
		]);
		$id = DriverPayments::create([
			'user_id' => auth()->id(),
			'driver_id' => $request->driver,
			'amount' => $request->amount,
			'amount_date' => $request->amount_date,
			'notes' => $request->notes,
		])->id;
		if ($request->file('pay_proof')) {
			$this->upload_file2($request->file('pay_proof'), "pay_proof", $id);

		}
		$driver = User::find($request->driver);
		$remainig_amount_after_saved = $request->remaining_amount_hidden - $request->amount;
		$driver->remaining_amount = $remainig_amount_after_saved;
		$driver->save();

		return back()->with('msg', trans('fleet.driverPaymentAdded'));
	}

	private function upload_file2($file, $field, $id) {
		$destinationPath = './uploads'; // upload path
		$extension = $file->getClientOriginalExtension();
		$fileName1 = Str::uuid() . '.' . $extension;

		$file->move($destinationPath, $fileName1);

		$x = DriverPayments::find($id)->update([$field => $fileName1]);

	}
	

	
}
