<?php

/*
@copyright

Fleet Manager v6.5

Copyright (C) 2017-2023 Hyvikk Solutions <https://hyvikk.com/> All rights reserved.
Design and developed by Hyvikk Solutions <https://hyvikk.com/>

 */

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Http\Requests\VehicleMovementRequest;
use App\Model\VehicleMovementModel;
use App\Model\VoucherModel;
use App\Model\FuelModel;
use App\Model\Expense;
use App\Model\DriverPayments;
use App\Http\Requests\ImportRequest;
use App\Model\VehicleModel;
use App\Model\ServiceItemsModel;
use App\Model\ExpCats;
use App\Model\Vendor;	
use App\Model\User;
use DataTables;
use Auth;
use Illuminate\Support\Str;
use Illuminate\Http\Request;
use Maatwebsite\Excel\Facades\Excel;
use App\Imports\MovementsImport;
use Illuminate\Support\Facades\DB;

class VoucherController extends Controller {

	public function __construct() {
	}
	public function index() {
		
		// if (Auth::user()->user_type == "S" || Auth::user()->user_type != "D") {
		// 	if (Auth::user()->group_id == null) {
		// 		$vehicle_ids = VehicleModel::pluck('id')->toArray();
		// 	} else {
		// 		$vehicle_ids = VehicleModel::where('group_id', Auth::user()->group_id)->pluck('id')->toArray();
		// 	}
		// }
		
		$data['data'] = VoucherModel::orderBy('id', 'desc')->get();
		
		return view('vouchers.index', $data);
	}
	public function create() {
		$data['vehicles'] =VehicleModel::whereIn_service("1")->get();
		$data['vendors'] = Vendor::where('type', 'fuel')->get();
		$data['sources'] = VehicleMovementModel::groupBy('source')->get()->pluck('source')->toArray();
		$data['payment_sources'] = VehicleMovementModel::groupBy('payment_source')->get()->pluck('payment_source')->toArray();
		$data['destinations'] = VehicleMovementModel::groupBy('destination')->get()->pluck('destination')->toArray();
		$data['drivers'] = User::where('user_type', 'D')->get();
		$data['types'] = ExpCats::get();
		$data['service_items'] = ServiceItemsModel::get();
		$data['parties'] = VehicleMovementModel::groupBy('party')->get()->pluck('party')->toArray();
		return view('vouchers.create', $data);
	}

	private function upload_file($file, $field, $id) {
		$destinationPath = './uploads'; // upload path
		$extension = $file->getClientOriginalExtension();
		$fileName1 = Str::uuid() . '.' . $extension;

		$file->move($destinationPath, $fileName1);

		$x = VehicleMovementModel::find($id)->update([$field => $fileName1]);

	}

	public function store(VehicleMovementRequest $request) {
		// dd($request->all());
		DB::beginTransaction();
		try {
		
		$transaction_id = bin2hex(random_bytes(8));

		$voucher = new VoucherModel();
		$voucher->user_id = Auth::user()->id;
		$voucher->voucher = $transaction_id;
		$voucher->save();

		$movement = new VehicleMovementModel();
		$movement->user_id = Auth::user()->id;
		$movement->transaction_id = $transaction_id;
		$movement->vehicle_id = $request->get('vehicle_id');
		$movement->source = $request->get('source');
		$movement->destination = $request->get('destination');
		$movement->party = $request->get('party');
		$movement->loading = $request->get('loading');
		$movement->freight = $request->get('freight');
		$movement->advance = $request->get('advance');
		$movement->commission = $request->get('commission');
		$movement->balance = $request->get('balance');
		$movement->doc_no = $request->get('doc_no');
		$movement->payment_source = $request->get('payment_source');

		$movement->save();
		$id = $movement->id;
		if ($request->file('pod_upload')) {
			$this->upload_file($request->file('pod_upload'), "pod_upload", $id);

		}


		$fuel = new FuelModel();
		$fuel->vehicle_id = $request->get('vehicle_id');
		$fuel->user_id = $request->get('user_id');
		$condition = FuelModel::orderBy('id', 'desc')->where('vehicle_id', $request->get('vehicle_id'))->first();
		// dd($condition->qty);
		if ($condition != null) {

			$fuel->start_meter = $request->get('start_meter');
			$fuel->end_meter = "0";
			$fuel->consumption = "0";
			$condition->end_meter = $end = $request->get('start_meter');
			// dd($condition->end_meter);
			// $fuel->start_meter = $start = $request->get('start_meter');
			// dd($condition->start_meter);
			// dd($end); //value fetched
			if ($request->get('qty') == 0) {
				$condition->consumption = $con = 0;
			} else {
				$condition->consumption = $con = ($end - $condition->start_meter) / $condition->qty;
			}
			// dd($con);
			$condition->save();

		} else {

			$fuel->start_meter = $request->get('start_meter');
			$fuel->end_meter = "0";
			$fuel->consumption = "0";

		}
		$fuel->reference = $request->get('reference');
		$fuel->province = $request->get('province');
		$fuel->note = $request->get('note');
		$fuel->transaction_id = $transaction_id;
		$fuel->qty = $request->get('qty');
		$fuel->fuel_from = $request->get('fuel_from');
		$fuel->vendor_name = $request->get('vendor_name');
		$fuel->cost_per_unit = $request->get('cost_per_unit');
		$fuel->date = $request->get('date');
		$fuel->complete = $request->get("complete");
		$fuel->fuel_cost = $request->get("fuel_cost");

		$file = $request->file('image');
		if ($file && $file->isValid()) {
			$destinationPath = './uploads'; // upload path
			$extension = $file->getClientOriginalExtension();

			$fileName1 = Str::uuid() . '.' . $extension;

			$file->move($destinationPath, $fileName1);

			$fuel->image = $fileName1;
		}

		$fuel->save();

		
		VehicleModel::where('id', $request->vehicle_id)->update(['mileage' => $request->start_meter]);

		$id = DriverPayments::create([
			'user_id' => auth()->id(),
			'driver_id' => $request->driver,
			'transaction_id' => $transaction_id,
			'amount' => $request->amount,
			'amount_date' => $request->amount_date,
			'notes' => $request->notes,
		])->id;
		if ($request->file('pay_proof')) {
			$this->upload_file2($request->file('pay_proof'), "pay_proof", $id);

		}
		$driver = User::find($request->driver);
		$remainig_amount_after_saved = $request->remaining_amount_hidden - $request->amount;
		$driver->remaining_amount = $remainig_amount_after_saved;
		$driver->save();

		$exp_id = ExpCats::where('id', $request->get("expense_type"))->value('id');
	 	if (empty($exp_id)) {
	 		$exp_id = ExpCats::create([
                    "user_id" => Auth::id(),
                    "name" => $request->get("expense_type"),
                    "type" => 'u',
                ])->id;
	 	} 
	 	
		Expense::create([
			"vehicle_id" => $request->get("vehicle_id"),
			"amount" => $request->get("revenue"),
			"transaction_id" => $transaction_id,
			"user_id" => Auth::id(),
			"date" => $request->get('exp_date'),
			"comment" => $request->get('comment'),
			"expense_type" => $exp_id,
			"type" => 'e'
		]);

		DB::commit();
		return redirect('admin/vouchers');
		} catch (\Exception $e) {
		    DB::rollBack();
		    echo "Transaction failed: " . $e->getMessage();
		}
	}

	private function upload_file2($file, $field, $id) {
		$destinationPath = './uploads'; // upload path
		$extension = $file->getClientOriginalExtension();
		$fileName1 = Str::uuid() . '.' . $extension;

		$file->move($destinationPath, $fileName1);

		$x = DriverPayments::find($id)->update([$field => $fileName1]);

	}

	public function edit($id) {
		$data['data'] = $data = VehicleMovementModel::whereId($id)->get()->first();
		$data['vehicles'] =VehicleModel::whereIn_service("1")->get();
		$data['vehicle_id'] = $data->vehicle_id;
		$data['sources'] = VehicleMovementModel::groupBy('source')->get()->pluck('source')->toArray();
		$data['destinations'] = VehicleMovementModel::groupBy('destination')->get()->pluck('destination')->toArray();
		$data['payment_sources'] = VehicleMovementModel::groupBy('payment_source')->get()->pluck('payment_source')->toArray();
		$data['parties'] = VehicleMovementModel::groupBy('party')->get()->pluck('party')->toArray();
		return view('vehicle_movements.edit', $data);

	}

	public function update(VehicleMovementRequest $request) {
		// dd($request->all());
		$movement = VehicleMovementModel::find($request->get("id"));
		// $form_data = $request->all();
		
		$movement->vehicle_id = $request->get('vehicle_id');
		$movement->source = $request->get('source');
		$movement->destination = $request->get('destination');
		$movement->party = $request->get('party');
		$movement->loading = $request->get('loading');
		$movement->freight = $request->get('freight');
		$movement->advance = $request->get('advance');
		$movement->commission = $request->get('commission');
		$movement->balance = $request->get('balance');
		$movement->payment_source = $request->get('payment_source');

		$movement->save();
		$id = $movement->id;
		if ($request->file('pod_upload')) {
			$this->upload_file($request->file('pod_upload'), "pod_upload", $id);

		}
		
		return redirect('admin/vehicle-movement');

	}

	public function destroy(Request $request) {
		$movement = VehicleMovementModel::find($request->get('id'));

		

		$movement->delete();
		return redirect('admin/vehicle-movement');
	}

	public function bulk_delete(Request $request) {
		$movements = VehicleMovementModel::whereIn('id', $request->ids)->get();
		foreach ($movements as $movement) {
			
			$movement->delete();
		}
		
		return redirect()->back();
	}

	public function importMovements(ImportRequest $request) {
		$file = $request->excel;
		$destinationPath = './assets/samples/'; // upload path
		$extension = $file->getClientOriginalExtension();
		$fileName = Str::uuid() . '.' . $extension;
		$file->move($destinationPath, $fileName);

		Excel::import(new MovementsImport, 'assets/samples/' . $fileName);
		return redirect('admin/vehicle-movement');
	}

	
}
