<?php

/*
@copyright

Fleet Manager v6.5

Copyright (C) 2017-2023 Hyvikk Solutions <https://hyvikk.com/> All rights reserved.
Design and developed by Hyvikk Solutions <https://hyvikk.com/>

*/

namespace App\Imports;

use App\Model\VehicleMovementModel;
use Maatwebsite\Excel\Concerns\ToModel;
use Spatie\Permission\Models\Permission;
use App\Model\VehicleModel;
use App\Model\Vendor;
use Maatwebsite\Excel\Concerns\WithHeadingRow;
use Illuminate\Validation\Rule;
use Carbon\Carbon;
use App\Model\Expense;
use Illuminate\Support\Facades\Auth;

class MovementsImport implements ToModel, WithHeadingRow
{
    /**
    * @param array $row
    *
    * @return \Illuminate\Database\Eloquent\Model|null
    */
    public function model(array $movement)
    {

        $vehicle_id = VehicleModel::where('license_plate', $movement['number_plate'])->value('id');
        if (!empty($vehicle_id)) {      
        $convertedDate = '';
                if (!empty($movement['loading'])) {
                    $convertedDate = $this->convertExcelDate($movement['loading']);
                }
                $balance = $movement['freight'] - $movement['advance'] -  $movement['commission'];         
            $id = VehicleMovementModel::create([
                "user_id" => Auth::user()->id,
                'vehicle_id' => $vehicle_id,
                "source" => $movement['source'],
                'party' => $movement['party'],
            ])->id;

            $VehicleMovementModel = VehicleMovementModel::find($id);
            $VehicleMovementModel->loading = $convertedDate;
            $VehicleMovementModel->destination = $movement['destination'];
            $VehicleMovementModel->freight = $movement['freight'];
            $VehicleMovementModel->advance = $movement['advance'];
            $VehicleMovementModel->commission = $movement['commission'];
            $VehicleMovementModel->payment_source = $movement['payment_source'];
            $VehicleMovementModel->balance = $balance;
            $VehicleMovementModel->doc_no = $movement['doc_no'];;
            $VehicleMovementModel->save();

           
            
        }
        
    }

    private function convertExcelDate($excelDate)
    {
        // Excel date starts from 1900-01-01
        return Carbon::createFromFormat('Y-m-d', '1900-01-01')->addDays($excelDate - 2)->format('Y-m-d');
    }

    
}
