<?php

/*
@copyright

Fleet Manager v6.5

Copyright (C) 2017-2023 Hyvikk Solutions <https://hyvikk.com/> All rights reserved.
Design and developed by Hyvikk Solutions <https://hyvikk.com/>

*/

namespace App\Imports;

use App\Model\VehicleMovementModel;
use Maatwebsite\Excel\Concerns\ToModel;
use Spatie\Permission\Models\Permission;
use App\Model\ExcelNotes;
use App\Model\Vendor;
use Maatwebsite\Excel\Concerns\WithHeadingRow;
use Illuminate\Validation\Rule;
use Carbon\Carbon;
use App\Model\Expense;
use Illuminate\Support\Facades\Auth;

class NotesImport implements ToModel, WithHeadingRow
{
    /**
    * @param array $row
    *
    * @return \Illuminate\Database\Eloquent\Model|null
    */
    public function model(array $note)
    {
    
        $convertedDate = '';
        if (!empty($note['date'])) {
            $convertedDate = $this->convertExcelDate($note['date']);
        }       
        $id = ExcelNotes::create([
            "expense" => $note['expense'],
            'amount' => $note['amount'],
            'payment_method' => $note['payment_method'],
            'added_date' => $convertedDate,
        ])->id;  

        $notesModel = ExcelNotes::find($id);
        $notesModel->added_date = $convertedDate;
        $notesModel->save();    
            
        
        
    }

    private function convertExcelDate($excelDate)
    {
        // Excel date starts from 1900-01-01
        return Carbon::createFromFormat('Y-m-d', '1900-01-01')->addDays($excelDate - 2)->format('Y-m-d');
    }

    
}
