<?php

/*
@copyright

Fleet Manager v6.5

Copyright (C) 2017-2023 Hyvikk Solutions <https://hyvikk.com/> All rights reserved.
Design and developed by Hyvikk Solutions <https://hyvikk.com/>

*/

namespace App\Model;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class DriverExpense extends Model
{
    use HasFactory;
    use SoftDeletes;

    protected $table = 'driver_expense';

    protected $fillable = ['driver_id', 'user_id', 'amount', 'notes', 'amount_date', 'expense_name'];

    public function driver()
    {
        return $this->belongsTo('App\Model\User','driver_id')->withTrashed();
    }
}
