@extends('layouts.app')
@php($date_format_setting=(Hyvikk::get('date_format'))?Hyvikk::get('date_format'):'d-m-Y')
@section("breadcrumb")
<li class="breadcrumb-item active">Excel Notes</li>
@endsection
@section('extra_css')
<style type="text/css">
  .checkbox, #chk_all{
    width: 20px;
    height: 20px;
  }
</style>
@endsection
@section('content')
<div class="row">
  <div class="col-md-12">
    <div class="card card-info">
      <div class="card-header">
        <h3 class="card-title">Excel Notes &nbsp;          
          &nbsp;&nbsp;<button data-toggle="modal" data-target="#import"
            class="btn btn-warning">@lang('fleet.import')</button>
      </div>

      <div class="card-body table-responsive">
        <table class="table" id="ajax_data_table">
          <thead class="thead-inverse">
            <tr>              
              <th>Expense </th>
              <th>Amount</th>
              <th>Payment Method</th>
              <th>Date</th>
            </tr>
          </thead>
          <tbody>    
          @foreach($notes as $note)
          <tr>
            <td>{{ $note->expense }}</td>
            <td>{{ $note->amount }}</td>
            <td>{{ $note->payment_method }}</td>
            <td>{{date($date_format_setting,strtotime($note->added_date))}}</td>
          </tr>
          @endforeach  
           
          </tbody>      
          </tbody>
          <tfoot>
            <tr>
             <th>Expense </th>
              <th>Amount</th>
              <th>Payment Method</th>
              <th>Date</th>
            </tr>
          </tfoot>
        </table> 
      </div>
    </div>
  </div>
</div>

<!-- Modal -->


<!-- Modal -->
<div id="myModal" class="modal fade" role="dialog">
  <div class="modal-dialog">
    <!-- Modal content-->
    <div class="modal-content">
      <div class="modal-header">
        <h4 class="modal-title">@lang('fleet.delete')</h4>
        <button type="button" class="close" data-dismiss="modal">&times;</button>
      </div>
      <div class="modal-body">
        <p>@lang('fleet.confirm_delete')</p>
      </div>
      <div class="modal-footer">
        <button id="del_btn" class="btn btn-danger" type="button" data-submit="">@lang('fleet.delete')</button>
        <button type="button" class="btn btn-default" data-dismiss="modal">@lang('fleet.close')</button>
      </div>
    </div>
  </div>
</div>
<!-- Modal -->

<!-- Modal -->
<div id="import" class="modal fade" role="dialog">
  <div class="modal-dialog">
    <!-- Modal content-->
    <div class="modal-content">
      <div class="modal-header">
        <h4 class="modal-title">@lang('Import Excel Notes')</h4>
        <button type="button" class="close" data-dismiss="modal">&times;</button>
      </div>
      <div class="modal-body">
        {!! Form::open(['url'=>'admin/import-notes','method'=>'POST','files'=>true]) !!}
        <div class="form-group">
          {!! Form::label('excel',__('Import Notes'),['class'=>"form-label"]) !!}
          {!! Form::file('excel',['class'=>"form-control",'required']) !!}
        </div>
        <div class="form-group">
          <a href="{{ asset('assets/samples/excelnotes.xlsx') }}">@lang('fleet.downloadSampleExcel')</a>
        </div>
      
      </div>
      <div class="modal-footer">
        <button class="btn btn-warning" type="submit">@lang('fleet.import')</button>
        <button type="button" class="btn btn-default" data-dismiss="modal">@lang('fleet.close')</button>
      </div>
      {!! Form::close() !!}
    </div>
  </div>
</div>
<!-- Modal -->
@endsection

@section('script')
<script type="text/javascript">
 
  var table = $('#ajax_data_table').DataTable({
                dom: 'Blfrtip', 
      lengthMenu: [
                    [10, 25, 50, -1], // Options for the number of records to display
                    [10, 25, 50, "All"] // Displayed text for the above options
                ],
          buttons: [
            {
                extend: 'collection',
                text: "@lang('fleet.Export')",
                buttons: [
                    {
                        extend: 'excel',
                        text: 'Export to Excel',
                        
                    },
                    {
                        extend: 'csv',
                        text: 'Export to CSV',
                        
                    },
                    {
                        extend: 'pdf',
                        text: 'Export to PDF',
                        
                    }
                ]
            }
        ],
        });

 


</script>

@endsection