@extends('layouts.app')
@section('extra_css')
<style>
    .search-report label {  
      width: 100%;
    justify-content: flex-start !important;
  }
  .search-report .form-group {
    padding-bottom: 15px;
  }
</style>
<link rel="stylesheet" href="{{asset('assets/css/bootstrap-datepicker.min.css')}}">
@endsection
@php($date_format_setting=(Hyvikk::get('date_format'))?Hyvikk::get('date_format'):'d-m-Y')

@section("breadcrumb")
<li class="breadcrumb-item"><a href="#">@lang('menu.reports')</a></li>
<li class="breadcrumb-item active">@lang('fleet.expense') @lang('fleet.report')</li>
@endsection
@section('content')
<?php function generateRandomCode() {
    $prefix = 'HSR';
    $year = date('y'); // Gets the last two digits of the current year
    $middle = 'TPC';
    $randomNumber = str_pad(mt_rand(1, 999999), 6, '0', STR_PAD_LEFT); // Generates a 6-digit random number with leading zeros
    
    return $prefix . $year . $middle . $randomNumber;
   
}

function movementRandom() {
    // Generate 3 random digits
    $digits = mt_rand(100, 999);

    // Generate 5 random alphanumeric characters
    $characters = 'ABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789';
    $randomAlphaNum = '';
    for ($i = 0; $i < 5; $i++) {
        $randomAlphaNum .= $characters[mt_rand(0, strlen($characters) - 1)];
    }

    // Combine digits and random alphanumeric string
    return $digits . $randomAlphaNum;
}
?>
<div class="row">
  <div class="col-md-12">
    <div class="card card-info">
      <div class="card-header">
        <h3 class="card-title">@lang('fleet.expense') @lang('fleet.report')
        </h3>
      </div>

      <div class="card-body">
        @if (count($errors) > 0)
          <div class="alert alert-danger col-md-12">
            <ul>
              @foreach ($errors->all() as $error)
                <li>{{ $error }}</li>
              @endforeach
            </ul>
          </div>
          @endif
        <form method="POST" action="{{ route('reports.custompost') }}" accept-charset="UTF-8" class="form-inline search-report">
          @csrf
        <div class="row">
          <div class="col-md-4">
              <div class="form-group">
                <label for="from_date" class="col-xs-5 control-label
                ">From Date</label>
                <div class="col-xs-6">
                  <div class="input-group date">
                    <div class="input-group-prepend"><span class="input-group-text"><i class="fa fa-calendar"></i></span></div>
                    <input class="form-control"  name="from_date" type="text" id="from_date" value="{{ $select_from }}">
                  </div>
                </div>
              </div> <!-- 
              <div class="form-group">
                <label for="start_odm" class="col-xs-5 control-label
                required">Start ODM</label>
                <div class="col-xs-6">            
                    
                    <input class="form-control" name="start_odm" type="text" id="start_odm">
                  </div>
              </div>  -->           
            </div>
            <div class="col-md-4">
              <div class="form-group">
                <label for="to_date" class="col-xs-5 control-label
                ">To Date</label>
                <div class="col-xs-6">
                  <div class="input-group date">
                    <div class="input-group-prepend"><span class="input-group-text"><i class="fa fa-calendar"></i></span></div>
                    <input class="form-control"  name="to_date" type="text" id="to_date" value="{{ $select_to }}">
                  </div>
                </div>
              </div>
              <!-- <div class="form-group">
                <label for="end_odm" class="col-xs-5 control-label
                required">END ODM</label>
                <div class="col-xs-6">            
                    
                    <input class="form-control"  name="end_odm" type="text" id="end_odm">
                  </div>
              </div> --> 
            </div>
            <div class="col-md-4">
                  <div class="form-group" style="margin-right: 10px">
                {!! Form::label('vehicle', __('Vehicle'), ['class' => 'form-label']) !!}
                <div class="form-group" style="margin-left:5px;">
                <select id="vehicle_id" name="vehicle_id" class="form-control vehicles" style="width: 250px">
                  <option value="">@lang('fleet.selectVehicle')</option>
                  @foreach($vehicles as $vehi)
                  <option value="{{ $vehi->id }}" @selected($select_vehicle == $vehi->id)>{{$vehi->make_name}}-{{$vehi->model_name}}-{{$vehi->license_plate}}</option>
                  @endforeach
                </select></div>
                </div>
            </div>    
          </div>
           <div class="row mt-3">
              <div class="col-md-12"><button type="submit" class="btn btn-info" style="margin-right: 10px">@lang('fleet.generate_report')</button>
          <a  id="printButton" class="btn btn-danger" style="margin-right: 10px"><i class="fa fa-print"></i> @lang('fleet.print')</a>
      @isset($show_print)
           <?php if($show_print==1) { ?>
              <button type="submit" formaction="{{url('admin/freeze-custom-report')}}" class="btn btn-danger" style="margin-right: 10px">@lang('Freeze')</button>
            <?php } else { ?>
              <a type="submit" class="btn btn-warning" style="margin-right: 10px">@lang('Freezed')</a>
            <?php } ?>
          @endisset</div>

            </div>
        </form>
      </div>
    </div>
  </div>
</div>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Trip Settlement</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            margin: 0;
            padding: 0;
        }
        .container {
            width: 90%;
            margin: 20px auto;
        }
        h1 {
            text-align: center;
        }
        table {
            width: 100%;
            border-collapse: collapse;
        }
        table, th, td {
            border: 1px solid #ddd;
        }
        th, td {
            padding: 10px;
            text-align: left;
        }
        th {
            background-color: #f2f2f2;
        }
        .header-section {
            margin-bottom: 20px;
            display: grid;
            grid-template-columns: 1fr 1fr;
            gap: 10px;
        }
        .header-section div {
            margin: 5px 0;
        }
        .bold {
            font-weight: bold;
        }
    </style>
</head>

</html>
<?php if(!empty($vehicle)) { ?>

<div class="row">
  <div class="col-md-12">
    <div class="card card-info">
      <div class="card-header">
        <h3 class="card-title">
        @lang('fleet.report')
        </h3>
      </div>
      <div id="contentToPrint">


      <div class="trip_settle" style="text-align: center;padding: 5px;background: gray;">Trip Settlement</div>
      <div class="card-body table-responsive">
        <h5  style="text-align: center;" style="font-weight: bold;">{{Hyvikk::get('app_name')}}</h5>
        <hr>
        <div class="header-section" style="margin-bottom: 20px;
            display: grid;
            grid-template-columns: 1fr 1fr;
            gap: 10px;">
            <div style="margin: 5px 0;"><span style="font-weight: bold;">Settlement No.:</span> <?php echo generateRandomCode(); ?></div>
            <div style="margin: 5px 0;"><span style="font-weight: bold;">Date:</span> <?php echo date('d/m/Y'); ?></div>
            <div style="margin: 5px 0;"><span style="font-weight: bold;">Trip Start No.:</span> <?php echo generateRandomCode(); ?></div>
            <div style="margin: 5px 0;"><span style="font-weight: bold;">Model:</span> {{$vehicle->make_name}} {{$vehicle->model_name}} {{$vehicle->engine_type}}</div>
            
            
            <div style="margin: 5px 0;"><span style="font-weight: bold;">Driver:</span> <span style="text-transform: uppercase;">{{ $driver->name }}</span></div>
            <div style="margin: 5px 0;"><span style="font-weight: bold;">Balance A/C:</span> <span style="text-transform: uppercase;">{{ $driver->name }}</span></div>
            
            <div style="margin: 5px 0;"><span style="font-weight: bold;">Vehicle No.:</span><span style="text-transform: uppercase;"> {{ $vehicle->license_plate }}</span></div>
            <div style="margin: 5px 0;"><span style="font-weight: bold;">Mobile No.:</span><span style="text-transform: uppercase;"> {{ $driver->phone }}</span></div>
            <div style="margin: 5px 0;"><span style="font-weight: bold;">Fyear Close Date:</span> <?php echo date("d/m/Y", strtotime($to_date)); ?></div>
            <div style="margin: 5px 0;"><span style="font-weight: bold;">Period:</span> <?php echo date("d/m/Y", strtotime($from_date)) .  ' To '. date("d/m/Y", strtotime($to_date)); ?></div>
            <div style="margin: 5px 0;"><span style="font-weight: bold;">Fyear Close:</span> Y</div>
        </div>

            <div style="width: 100%; font-family: Arial, sans-serif; font-size: 14px;">
        <!-- Title -->
        <div style="background-color: #d3d3d3; font-weight: bold; padding: 8px; border: 1px solid #000;">
            Movement Detail
        </div>

        <!-- Table Header -->
        <div style="display: flex; border-top: 1px solid #000; border-bottom: 1px solid #000; font-weight: bold; text-align: left; padding: 5px;">
            <div style="width: 15%; padding: 5px;">Voucher No.</div>
            <div style="width: 15%; padding: 5px;">Doc No.</div>
            <div style="width: 15%; padding: 5px;">Source</div>
            <div style="width: 15%; padding: 5px;">Destination</div>
            <div style="width: 40%; padding: 5px;">Party</div>
            <div style="width: 15%; padding: 5px;">Loading</div>
        </div>

        <!-- Table Rows -->
         @if($movements->count() > 0)
         @foreach($movements as $movement)
        <div style="display: flex; border-bottom: 1px solid #000; text-align: left; padding: 5px;">
            <div style="width: 15%; padding: 5px;"><?php echo !empty($movement->transaction_id) ? $movement->transaction_id: ''; ?></div>
            <div style="width: 15%; padding: 5px;">{{ $movement->doc_no }}</div>
            <div style="width: 15%; padding: 5px;">{{ $movement->source }}</div>
            <div style="width: 15%; padding: 5px;">{{ $movement->destination }}</div>
            <div style="width: 40%; padding: 5px;">{{ $movement->party }}</div>
            <div style="width: 15%; padding: 5px;"><?php echo date("d/m/Y", strtotime($movement->loading)); ?></div>
        </div>
        @endforeach
        @endif
       
    </div>

     <div style="width: 100%; font-family: Arial, sans-serif; font-size: 14px; margin-top: 20px;">
        <!-- Title -->
        <div style="background-color: #d3d3d3; font-weight: bold; padding: 8px; border: 1px solid #000;">
            Fuel Issued
        </div>

        <!-- Table Header -->
        <div style="display: flex; border-top: 1px solid #000; border-bottom: 1px solid #000; font-weight: bold; text-align: left; padding: 5px;">
            <div style="width: 16%; padding: 5px;">Filling Station</div>
            <div style="width: 16%; padding: 5px;">Voucher NO.</div>
            <div style="width: 16%; padding: 5px;">Date</div>
            <div style="width: 16%; padding: 5px;">QTY Actual</div>
            <div style="width: 16%; padding: 5px;">Rate</div>
            <div style="width: 16%; padding: 5px;">Amount</div>
        </div>

        <!-- Table Rows -->
         @if($fillings->count() > 0)
         <?php $ttlqty = 0; $ttlAmnt = 0; ?>
         @foreach($fillings as $filling)
         <?php $ttlqty += $filling->qty ; 
          $ttlAmnt += $filling->fuel_cost ; ?>
        <div style="display: flex; border-bottom: 1px solid #000; text-align: left; padding: 5px;">
            <div style="width: 16%; padding: 5px;"><?php echo ($filling->vendor_name) ? $vendorData[$filling->vendor_name] : 'Unknown Filling Station'; ?></div>
            <div style="width: 16%; padding: 5px;"><?php echo !empty($filling->transaction_id) ? $filling->transaction_id: ''; ?></div>
            <div style="width: 16%; padding: 5px;"><?php echo date("d/m/Y", strtotime($filling->date)); ?></div>
            <div style="width: 16%; padding: 5px;">{{ $filling->qty }}</div>
            <div style="width: 16%; padding: 5px;"><?php echo number_format($filling->cost_per_unit, 2); ?></div>
            <div style="width: 16%; padding: 5px;"><?php echo number_format($filling->fuel_cost, 2); ?></div>
        </div>
        @endforeach
        <div style="border-top: 2px solid black; border-bottom: 2px solid black; padding: 10px; font-family: Arial, sans-serif;">
        <div style="display: grid; grid-template-columns: repeat(6, 1fr); text-align: left;">
            <span style="font-weight: bold;"></span>
            <span style="font-weight: bold;"></span>
            <span style="font-weight: bold;">Total:</span>
            <span style="font-weight: bold;">{{ $ttlqty }}</span>
            <span style="font-weight: bold;"></span>
            <span style="font-weight: bold;"><?php echo number_format($ttlAmnt, 2); ?></span>
        </div>
    </div>
        
        @endif
       
    </div>
<?php  $driverPayTotal = 0; ?>
    <div style=" margin: 0 auto; border: 1px solid #000; padding: 10px;margin-top: 20px">

        <!-- Top Section -->
        <div style="display: flex; justify-content: space-between; margin-bottom: 20px;">
          @if($driverPays->count() > 0)
            <div style="width: 68%;">
               <div style="margin-bottom: 20px;">
            <div style="font-weight: bold; margin-bottom: 5px;">DRIVER</div>
            <div style="border: 1px solid #000;">
                <div style="display: flex; font-weight: bold; background: #ddd; padding: 5px; border-bottom: 1px solid #000;">
                    <div style="flex: 3;padding-right: 20px;">Voucher No.</div>
                    <div style="flex: 2;padding-right: 20px;">Date</div>
                    <div style="flex: 2;padding-right: 20px;">Amount</div>
                    <div style="flex: 4;padding-right: 20px;">Remarks</div>
                </div>
                
                @foreach($driverPays as $driverPay)
                <?php $driverPayTotal += $driverPay->amount; ?>
                <div style="display: flex; padding: 5px; border-bottom: 1px solid #000;">
                    <div style="flex: 3;padding-right: 20px;"><?php echo !empty($driverPay->transaction_id) ? $driverPay->transaction_id: ''; ?></div>
                    <div style="flex: 2;padding-right: 20px;"><?php echo date("d/m/Y", strtotime($driverPay->amount_date)); ?></div>
                    <div style="flex: 2;padding-right: 20px;"><?php echo number_format($driverPay->amount, 2); ?></div>
                    <div style="flex: 4;padding-right: 20px;">{{ $driverPay->notes }}</div>
                </div>
                @endforeach
                <div style="display: flex; font-weight: bold; padding: 5px;">
                    <div style="flex: 0;"></div>
                    <div style="flex: 2; text-align: center;padding-left: 25px;"><?php echo number_format($driverPayTotal, 2); ?></div>
                </div>
            </div>
        </div>
            </div>
            @endif
            <div style="width: 30%; border: 1px solid #000;">
                <div style="background: #ddd; font-weight: bold; text-align: center; padding: 5px; border-bottom: 1px solid #000;">
                    Expenses Detail
                </div>
                <div style="display: flex; justify-content: space-between; font-weight: bold; padding: 5px; border-bottom: 1px solid #000;">
                    <div>Head</div>
                    <div>Actual</div>
                </div>
                <?php  $expenseTotal = 0; ?>
                 @if($driverExpenses->count() > 0)
                 @foreach($driverExpenses as $driverExpense)
                <div style="display: flex; justify-content: space-between; padding: 5px; border-bottom: 1px solid #000;">
                     
                     <?php $expenseTotal += $driverExpense->amount; ?>
                        <div>EXPENSE ({{$driverExpense->expense_name}})</div>
                        <div><?php echo number_format($driverExpense->amount, 2); ?></div>
                    
                </div>
                @endforeach
                @endif
                <?php  $salaryTotal = 0; ?>
                        @if($salaries->count() > 0)
                <div style="display: flex; justify-content: space-between; padding: 5px; border-bottom: 1px solid #000;">
                     @foreach($salaries as $salary)
                      <?php  $salaryTotal += $salary->amount; ?>
                        <div>MONTH SALARY</div>
                        <div><?php echo number_format($salary->amount, 2); ?></div>
                    @endforeach
                </div>
                 @endif
                <div style="display: flex; justify-content: space-between; font-weight: bold; padding: 5px;">
                    <div>Total:</div>
                    <div><?php echo number_format($salaryTotal+$expenseTotal, 2); ?></div>
                </div>
            </div>
        </div>

        <!-- DRIVER Section -->
        
 <?php  $expensPayTotal = 0; ?>
        @if($expenses->count() > 0)
        <!-- VEHICLE Section -->
        <div style="margin-bottom: 20px;">
            <div style="font-weight: bold; margin-bottom: 5px;">VEHICLE</div>
            <div style="border: 1px solid #000;">
                <div style="display: flex; font-weight: bold; background: #ddd; padding: 5px; border-bottom: 1px solid #000;">
                    <div style="flex: 3;">Voucher No.</div>
                    <div style="flex: 2;">Date</div>
                    <div style="flex: 2;">Amount</div>
                    <div style="flex: 4;">Remarks</div>
                </div>
               
                @foreach($expenses as $expense)
                <?php  $expensPayTotal += $expense->amount; ?>
                <div style="display: flex; padding: 5px; border-bottom: 1px solid #000;">
                    <div style="flex: 3;"><?php echo !empty($expense->transaction_id) ? $expense->transaction_id: ''; ?></div>
                    <div style="flex: 2;"><?php echo date("d/m/Y", strtotime($expense->date)); ?></div>
                    <div style="flex: 2;"><?php echo number_format($expense->amount, 2); ?></div>
                    <div style="flex: 4;">{{ $expense->comment }} </div>
                </div>
                @endforeach

                <div style="display: flex; font-weight: bold; padding: 5px;">
                    <div style="flex: 0;"></div>
                    <div style="flex: 2; text-align: center;padding-right: 20px;"><?php echo number_format($expensPayTotal, 2); ?></div>
                </div>
            </div>
        </div>

        <!-- Footer Section -->
        <div style="font-weight: bold; margin-top: 20px;">Total :- Advance + Cash + Happy + Tol = <?php echo number_format($expensPayTotal + $driverPayTotal, 2); ?></div>
        @endif
    </div>

    <div style="width: 100%; margin: 0 auto;padding-top: 25px;">

        <!-- Top Section -->
        <div style="display: flex; justify-content: space-between; margin-bottom: 20px;">
            <!-- Summary Section -->
            <?php /* <div style="width: 30%; border: 1px solid #000; padding: 10px;">
                <div style="font-weight: bold; text-align: center; margin-bottom: 10px;">Summary</div>
                <div style="margin-bottom: 10px;">
                    <div style="font-weight: bold;">Advance</div>
                    <div>Toll Tax: <span style="float: right;">0.00</span></div>
                    <div>Advance: <span style="float: right;"><?php echo number_format($expensPayTotal + $driverPayTotal, 2); ?></span></div>
                    <div>Fuel Qty Start: <span style="float: right;">9.00</span></div>
                    <div>Fuel Qty Issue: <span style="float: right;">541.94</span></div>
                </div>
                <div style="font-weight: bold; border-top: 1px solid #000; padding-top: 5px;">
                    Balance Payable: <span style="float: right;">-10,510.60</span>
                </div>
            </div>


            <!-- Expenses Section -->
            <div style="width: 30%; border: 1px solid #000; padding: 10px;">
                <div style="font-weight: bold; text-align: center; margin-bottom: 10px;">Expenses</div>
                <div>Toll Tax Pass: <span style="float: right;">0.00</span></div>
                <div>Expenses: <span style="float: right;">25,900.00</span></div>
                <div>Fuel Qty Tank: <span style="float: right;">9.00</span></div>
                <div>Fuel Qty Pass: <span style="float: right;">560.84</span></div>
                <div>Short/Excess: <span style="float: right;">-1,610.66</span></div>
            </div>

            <!-- Cost Per Km Section -->
            <div style="width: 30%; border: 1px solid #000; padding: 10px;">
                <div style="font-weight: bold; text-align: center; margin-bottom: 10px;">Cost Per km</div>
                <div>Toll Tax: <span style="float: right;">0.00</span></div>
                <div>Fuel EXP.: <span style="float: right;">7.75</span></div>
                <div>Expenses: <span style="float: right;">4.20</span></div>
                <div style="font-weight: bold; border-top: 1px solid #000; padding-top: 5px;">
                    Total: <span style="float: right;">11.95</span>
                </div>
            </div>
            */ ?>
        </div>

        <!-- Footer Section -->
        <div style="margin-top: 20px; display: flex; justify-content: space-between;">
            <div>
                Prepared By: <span style="font-weight: bold;"></span> <br>
                Date: <span style="font-weight: bold;"><?php echo date('Y-m-d'); ?></span>
            </div>
            <div>
                Verified By:
            </div>
            <div>
                Authorised By:
            </div>
        </div>

    </div> 
  </div>
       
      </div>
    </div>
  </div>
</div>
<?php } ?>

@endsection

@section("script")
<script type="text/javascript">
  $(document).ready(function() {
    $('#from_date, #to_date').datepicker({
          autoclose: true,
          format: 'yyyy-mm-dd'
        });
    $("#vehicle_id").select2();
    $('#myTable tfoot th').each( function () {
      var title = $(this).text();
      $(this).html( '<input type="text" placeholder="'+title+'" />' );
    });
    var myTable = $('#myTable').DataTable({
          dom: 'Bfrtip',
          buttons: [{
               extend: 'collection',
                  text:"@lang('fleet.Export')",
                  buttons: [
                      'copy',
                      'excel',
                      'csv',
                      'pdf',
                  ]}
          ],
          "language": {
                   "url": '{{ asset("assets/datatables/")."/".__("fleet.datatable_lang") }}',
                },
          // individual column search
          "initComplete": function() {
                  myTable.columns().every(function () {
                    var that = this;
                    $('input', this.footer()).on('keyup change', function () {
                        that.search(this.value).draw();
                    });
                  });
                }
      });

    $("#printButton").click(function(){
        var content = $('#contentToPrint').html(); // Get the HTML content of the div

        var printWindow = window.open('', '', 'height=800,width=1000'); // Open a new window
        printWindow.document.write('<html><head><title>Print</title>');
        printWindow.document.write('<style> body { font-family: Arial, sans-serif; } </style>'); // Optional: Add custom styles
        printWindow.document.write('</head><body>');
        printWindow.document.write(content); // Write the content of the div to the new window
        printWindow.document.write('</body></html>');
        
        printWindow.document.close(); // Close the document
        printWindow.print(); // Trigger the print dialog
    });
  });


    

</script>
@endsection