@extends('layouts.app')
@section('extra_css')
<style>
    .search-report label {  
      width: 100%;
    justify-content: flex-start !important;
  }
  .search-report .form-group {
    padding-bottom: 15px;
  }
</style>
<link rel="stylesheet" href="{{asset('assets/css/bootstrap-datepicker.min.css')}}">
@endsection
@php($date_format_setting=(Hyvikk::get('date_format'))?Hyvikk::get('date_format'):'d-m-Y')

@section("breadcrumb")
<li class="breadcrumb-item"><a href="#">@lang('menu.reports')</a></li>
<li class="breadcrumb-item active">@lang('fleet.expense') @lang('fleet.report')</li>
@endsection
@section('content')
<?php function generateRandomCode() {
    $prefix = 'HSR';
    $year = date('y'); // Gets the last two digits of the current year
    $middle = 'TPC';
    $randomNumber = str_pad(mt_rand(1, 999999), 6, '0', STR_PAD_LEFT); // Generates a 6-digit random number with leading zeros
    
    return $prefix . $year . $middle . $randomNumber;
   
}

?>


<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Trip Settlement</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            margin: 0;
            padding: 0;
        }
        .container {
            width: 90%;
            margin: 20px auto;
        }
        h1 {
            text-align: center;
        }
        table {
            width: 100%;
            border-collapse: collapse;
        }
        table, th, td {
            border: 1px solid #ddd;
        }
        th, td {
            padding: 10px;
            text-align: left;
        }
        th {
            background-color: #f2f2f2;
        }
        .header-section {
            margin-bottom: 20px;
            display: grid;
            grid-template-columns: 1fr 1fr;
            gap: 10px;
        }
        .header-section div {
            margin: 5px 0;
        }
        .bold {
            font-weight: bold;
        }
    </style>
</head>

</html>


<div class="row">
  <div class="col-md-12">
    <div class="card card-info">
      <div class="card-header">
        <h3 class="card-title">
        @lang('fleet.report')
        </h3>
      </div>

      <div class="trip_settle" style="text-align: center;padding: 5px;background: gray;">Trip Settlement</div>
      <div class="card-body table-responsive">
        <h5 class="text-center">{{Hyvikk::get('app_name')}}</h5>
        <div class="header-section">
            <div><span class="bold">Settlement No.:</span> HSR24TPC000121</div>
            <div><span class="bold">Date:</span> 31/05/2024</div>
            <div><span class="bold">Trip Start No.:</span> HSR24TPS000104</div>
            <div><span class="bold">Model:</span> TATA 709 LPT CNG</div>
            <div><span class="bold">Vehicle No.:</span> HR-39E-3287</div>
            <div><span class="bold">Start ODM:</span> 92562</div>
            <div><span class="bold">Driver:</span> MANOJ KUMAR 3287</div>
            <div><span class="bold">End ODM:</span> 98731</div>
            <div><span class="bold">Balance A/C:</span> MANOJ KUMAR 3287</div>
            <div><span class="bold">Total KM:</span> 6,169.00</div>
            <div><span class="bold">Fyear Close Date:</span> 31/05/2024</div>
            <div><span class="bold">Period:</span> 01/05/2024 To 31/05/2024</div>
            <div><span class="bold">Fyear Close:</span> Y</div>
        </div>
       
      </div>
    </div>
  </div>
</div>
@endsection

@section("script")
<script type="text/javascript">
  $(document).ready(function() {
    $('#from_date, #to_date').datepicker({
          autoclose: true,
          format: 'yyyy-mm-dd'
        });
    $("#vehicle_id").select2();
    $('#myTable tfoot th').each( function () {
      var title = $(this).text();
      $(this).html( '<input type="text" placeholder="'+title+'" />' );
    });
    var myTable = $('#myTable').DataTable({
          dom: 'Bfrtip',
          buttons: [{
               extend: 'collection',
                  text:"@lang('fleet.Export')",
                  buttons: [
                      'copy',
                      'excel',
                      'csv',
                      'pdf',
                  ]}
          ],
          "language": {
                   "url": '{{ asset("assets/datatables/")."/".__("fleet.datatable_lang") }}',
                },
          // individual column search
          "initComplete": function() {
                  myTable.columns().every(function () {
                    var that = this;
                    $('input', this.footer()).on('keyup change', function () {
                        that.search(this.value).draw();
                    });
                  });
                }
      });
  });
</script>
@endsection