@extends('layouts.app')
@section("breadcrumb")
<li class="breadcrumb-item"><a href="#">@lang('menu.reports')</a></li>
<li class="breadcrumb-item active">@lang('fleet.driverReport')</li>
@endsection
@section('content')
<div class="row">
  <div class="col-md-12">
    <div class="card card-info">
      <div class="card-header">
        <h3 class="card-title">@lang('fleet.driverReport')
        </h3>
      </div>

      <div class="card-body">
        @if (count($errors) > 0)
    <div class="alert alert-danger">
      <ul>
        @foreach ($errors->all() as $error)
        <li>{{ $error }}</li>
        @endforeach
      </ul>
    </div>
    @endif
        {!! Form::open(['route' => 'reports.drivers','method'=>'post','class'=>'form-inline']) !!}
        <div class="row"> 
          <div class="form-group" style="margin-right: 10px">
            <label for="year" class="form-label">Year</label>
            <div class="form-group" style="margin-left:5px;">
            <select class="form-control" id="year" name="year">
              <?php 
              $currentYear = date("Y");
               for ($year = $currentYear - 5; $year < $currentYear + 20; $year++) { ?>
                <option value="{{ $year }}" <?php if($year_select == $year) echo 'selected'; ?>>{{ $year }}</option>
              <?php } ?>
              </select>
            </div>
          </div>
          <div class="form-group" style="margin-right: 10px">
            <label for="month" class="form-label">Month</label>
            <div class="form-group" style="margin-left:5px;">
             <select class="form-control" id="month" name="month">
              <?php 
                $months = [
                  "January", "February", "March", "April", "May", "June", 
                  "July", "August", "September", "October", "November", "December"
                ];
                foreach($months as $month) { ?>
                  <option value="{{ $month }}" <?php if($month_select == $month) echo 'selected'; ?>>{{ $month }}</option>
              
              <?php } ?>
              </select></div>
          </div>
          <div class="form-group" style="margin-right: 10px">
            <label for="vehicle" class="form-label">Drivers</label>
            <div class="form-group" style="margin-left:5px;">
              <select class="form-control" id="driver" name="driver">
              <option selected="selected" value="">Select</option>
              @foreach($drivers as $driver) 
               <option value="{{ $driver->id }}"  @selected($driver_select == $driver->id)>{{$driver->name}}</option>
                @endforeach
             </select>
           </div>
          </div>

          

          <button type="submit" class="btn btn-info" style="margin-right: 10px">@lang('fleet.generate_report')</button>
          @isset($show_print)
          <?php if($show_print==1) { ?>
          <button type="submit" formaction="{{url('admin/print-driver-report')}}" class="btn btn-danger" style="margin-right: 10px">@lang('Freeze')</button>
          <?php } else { ?>
              <a type="submit" class="btn btn-warning" style="margin-right: 10px">@lang('Freezed')</a>
            <?php } ?>
          @endisset
        </div>
        {!! Form::close() !!}
      </div>
    </div>
  </div>
</div>

@if(isset($total))
<div class="row">
  
  <div class="col-md-6">
    <div class="card card-info">
      <div class="card-header">
        <h3 class="card-title">@lang('fleet.monthlyReport') of 
        </h3>
      </div>
      <div class="card-body">
        <div class="row">          
          <div class="table-responsive">
            <table class="table table-bordered table-striped table-hover expTable"> 
                <thead>
                  <tr>                    
                    <th scope="row">@lang('fleet.expensesByCategory')</th>
                    <td><strong>{{ Hyvikk::get("currency")}} Amount</strong></td>
                  </tr>
                </thead>                              
                <tbody>
                 <tr>
                    <th>Salary</th>
                    <td>{{ $driver_salaries }}</td>
                 </tr>
                 <tr>
                    <th>Other Expense</th>
                    <td>{{ $driverExpenses }}</td>
                 </tr>
                 <tr>
                    <th>Other Payments</th>
                    <td>{{ $driverPays }}</td>
                 </tr>
                 <tr>
                    <th>Total</th>
                    <td>{{ $total }}</td>
                 </tr>
                </tbody>
              </table>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
@endif

@endsection

@section('script')
<script>
    $('.expTable').DataTable({
      "ordering": false,
      "searching": false,
      "info":     false,
      "pageLength": 5,
      dom: 'Bfrtip',
      buttons: [{
           extend: 'collection',
              text: '@lang('fleet.Export')',
              buttons: [
                  'excel',
                  'csv',
                  'pdf',
                  'print'
              ]}
      ],
      "language": {
               "url": '{{ asset("assets/datatables/")."/".__("fleet.datatable_lang") }}',
            }
    });
</script>

@endsection