@extends('layouts.app')
@php $currency = Hyvikk::get('currency') @endphp
@php $date_format_setting = (Hyvikk::get('date_format')) ? Hyvikk::get('date_format') : 'd-m-Y'; @endphp
@section("breadcrumb")
<li class="breadcrumb-item"><a href="#">@lang('menu.reports')</a></li>
<li class="breadcrumb-item active">@lang('fleet.paymentReport')</li>
@endsection
@section('extra_css')
<link rel="stylesheet" href="{{asset('assets/css/bootstrap-datepicker.min.css')}}">
@endsection
@section('content')
<div class="row">

  <div class="col-md-12">
    <div class="card card-info">
      <div class="card-header">
        <h3 class="card-title">@lang('fleet.add') @lang('fleet.driverPayment')
        </h3>
      </div>
      <div class="card-body">
  @if (count($errors) > 0)
    <div class="alert alert-danger">
      <ul>
        @foreach ($errors->all() as $error)
        <li>{{ $error }}</li>
        @endforeach
      </ul>
    </div>
    @endif
        {!! Form::open(['route'=>'reports.payments', 'files'=>true, 'method'=>'POST']) !!}
        <div class="row">
          <div class="col-md-6 form-group">
            {!! Form::label('driver', trans('fleet.driver')) !!}
            <div class="form-group" style="margin-left:5px;">
            <select class="form-control" id="driver" name="driver">
              <option selected="selected" value="">Select</option>
              @foreach($drivers as $driver) 
               <option value="{{ $driver->id }}">{{$driver->name}}</option>
                @endforeach
             </select></div>
            
          </div>
          <div class="col-md-6 form-group">
            {!! Form::label('amount', trans('fleet.amount')) !!}
            <div class="form-group" style="margin-left:5px;">
            <input class="form-control" step="0.01" name="amount" type="number" id="amount"></div>
          </div>
          <div class="col-md-6 form-group">
            {!! Form::label('amount', trans('Date')) !!}
            <div class="form-group" style="margin-left:5px;">
             <div class="col-xs-6">
                  <div class="input-group date">
                    <div class="input-group-prepend"><span class="input-group-text"><i class="fa fa-calendar"></i></span></div>
                    <input class="form-control" name="amount_date" type="text" id="amount_date">
                  </div>
                </div>
          </div>
        </div>
        <div class="col-md-6 form-group">
                  {!! Form::label('pay_proof', __('Payment Attachment'), ['class' => 'col-xs-5 control-label']) !!}
                  <div class="col-xs-6">
                    {!! Form::file('pay_proof',null,['class' => 'form-control']) !!}
                  </div>
                </div>
          <div class="col-md-6 form-group">
            {!! Form::label('notes', trans('fleet.notes')) !!}
            <div class="form-group" style="margin-left:5px;">
            {!! Form::textarea('notes',null,['class'=>'form-control','rows'=>2]) !!}</div>
          </div>
          <div class="col-md-12">
            {!! Form::submit(trans('fleet.submit'), ['class'=>'btn btn-primary']) !!}
          </div>
        </div>
        {!! Form::close() !!}
      </div>
    </div>
    <div class="card card-info">
      <div class="card-header">
        <h3 class="card-title">@lang('fleet.paymentReport')
        </h3>
      </div>
      <div class="card-body">
        <div class="row">
          <div class="col-md-12">
            <div class="table-responsive">
              <table class="table w-100" id="data_table">
                <thead>
                  <tr>
                    <th></th>
                    {{-- <th style="width: 7%;">Sr No.</th> --}}
                    <th>@lang('fleet.driver') @lang('fleet.id')</th>
                    <th>@lang('fleet.driver')</th>
                    <th>@lang('fleet.description')</th>
                    <th>@lang('Proof')</th>
                    <th>@lang('fleet.amount')</th>
                    <th>@lang('Date')</th>
                    <th>Added By</th>
                  </tr>
                </thead>
                <tbody>
                  @foreach($driver_payments as $key => $payment)
                  
                  <tr>
                    <td></td>
                    {{-- <td>{{ $payment->id }}</td> --}}
                    <td>{{ $payment->driver_id }}</td>
                    <td>{{ $payment->driver->name }}</td>
                    <td>{{ $payment->notes }}</td>
                    <td><?php if($payment->pay_proof) { ?> <a href="{{ asset('uploads/'.$payment->pay_proof) }}" target="_blank">View</a><?php } else echo 'N/A'; ?></td>
                    <td>{{ $currency }}{{ $payment->amount }}</td>
                    <td><?php if($payment->amount_date) echo $payment->amount_date; else echo $payment->created_at; ?></td>
                    <td>@if($payment->user_id)
                {{ \App\Model\User::where('id', $payment->user_id)->value('name') }}
                @else
                
                @endif</td>
                  </tr>
                  @endforeach
                </tbody>
                <tfoot>
                  <tr>
                    <th></th>
                    {{-- <th>Sr No.</th> --}}
                    <th>@lang('fleet.driver') @lang('fleet.id')</th>
                    <th>@lang('fleet.driver')</th>
                    <th>@lang('fleet.description')</th>
                    <th>@lang('Proof')</th>
                    <th>@lang('fleet.amount')</th>
                    <th>@lang('Date')</th>
                    <th>Added By</th>
                  </tr>
                </tfoot>
              </table>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
@endsection

@section('script')
<script>
  var oneMonthAgo = new Date();
  oneMonthAgo.setMonth(oneMonthAgo.getMonth() - 1);
  $('#amount_date').datepicker({
    autoclose: true,
    format: 'yyyy-mm-dd',
    startDate: oneMonthAgo,
    endDate: null, // Allow all future dates
  });
  
</script>
@endsection