<?php $__env->startSection("breadcrumb"); ?>
<li class="breadcrumb-item"><a href="#"><?php echo app('translator')->get('menu.reports'); ?></a></li>
<li class="breadcrumb-item active"><?php echo app('translator')->get('fleet.driverReport'); ?></li>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<div class="row">
  <div class="col-md-12">
    <div class="card card-info">
      <div class="card-header">
        <h3 class="card-title"><?php echo app('translator')->get('fleet.driverReport'); ?>
        </h3>
      </div>

      <div class="card-body">
        <?php if(count($errors) > 0): ?>
    <div class="alert alert-danger">
      <ul>
        <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <li><?php echo e($error); ?></li>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
      </ul>
    </div>
    <?php endif; ?>
        <?php echo Form::open(['route' => 'reports.drivers','method'=>'post','class'=>'form-inline']); ?>

        <div class="row"> 
          <div class="form-group" style="margin-right: 10px">
            <label for="year" class="form-label">Year</label>
            <div class="form-group" style="margin-left:5px;">
            <select class="form-control" id="year" name="year">
              <?php 
              $currentYear = date("Y");
               for ($year = $currentYear - 5; $year < $currentYear + 20; $year++) { ?>
                <option value="<?php echo e($year); ?>" <?php if($year_select == $year) echo 'selected'; ?>><?php echo e($year); ?></option>
              <?php } ?>
              </select>
            </div>
          </div>
          <div class="form-group" style="margin-right: 10px">
            <label for="month" class="form-label">Month</label>
            <div class="form-group" style="margin-left:5px;">
             <select class="form-control" id="month" name="month">
              <?php 
                $months = [
                  "January", "February", "March", "April", "May", "June", 
                  "July", "August", "September", "October", "November", "December"
                ];
                foreach($months as $month) { ?>
                  <option value="<?php echo e($month); ?>" <?php if($month_select == $month) echo 'selected'; ?>><?php echo e($month); ?></option>
              
              <?php } ?>
              </select></div>
          </div>
          <div class="form-group" style="margin-right: 10px">
            <label for="vehicle" class="form-label">Drivers</label>
            <div class="form-group" style="margin-left:5px;">
              <select class="form-control" id="driver" name="driver">
              <option selected="selected" value="">Select</option>
              <?php $__currentLoopData = $drivers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $driver): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?> 
               <option value="<?php echo e($driver->id); ?>"  <?php if($driver_select == $driver->id): echo 'selected'; endif; ?>><?php echo e($driver->name); ?></option>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
             </select>
           </div>
          </div>

          

          <button type="submit" class="btn btn-info" style="margin-right: 10px"><?php echo app('translator')->get('fleet.generate_report'); ?></button>
          <?php if(isset($show_print)): ?>
          <?php if($show_print==1) { ?>
          <button type="submit" formaction="<?php echo e(url('admin/print-driver-report')); ?>" class="btn btn-danger" style="margin-right: 10px"><?php echo app('translator')->get('Freeze'); ?></button>
          <?php } else { ?>
              <a type="submit" class="btn btn-warning" style="margin-right: 10px"><?php echo app('translator')->get('Freezed'); ?></a>
            <?php } ?>
          <?php endif; ?>
        </div>
        <?php echo Form::close(); ?>

      </div>
    </div>
  </div>
</div>

<?php if(isset($total)): ?>
<div class="row">
  
  <div class="col-md-6">
    <div class="card card-info">
      <div class="card-header">
        <h3 class="card-title"><?php echo app('translator')->get('fleet.monthlyReport'); ?> of 
        </h3>
      </div>
      <div class="card-body">
        <div class="row">          
          <div class="table-responsive">
            <table class="table table-bordered table-striped table-hover expTable"> 
                <thead>
                  <tr>                    
                    <th scope="row"><?php echo app('translator')->get('fleet.expensesByCategory'); ?></th>
                    <td><strong><?php echo e(Hyvikk::get("currency")); ?> Amount</strong></td>
                  </tr>
                </thead>                              
                <tbody>
                 <tr>
                    <th>Salary</th>
                    <td><?php echo e($driver_salaries); ?></td>
                 </tr>
                 <tr>
                    <th>Other Expense</th>
                    <td><?php echo e($driverExpenses); ?></td>
                 </tr>
                 <tr>
                    <th>Other Payments</th>
                    <td><?php echo e($driverPays); ?></td>
                 </tr>
                 <tr>
                    <th>Total</th>
                    <td><?php echo e($total); ?></td>
                 </tr>
                </tbody>
              </table>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
<?php endif; ?>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
<script>
    $('.expTable').DataTable({
      "ordering": false,
      "searching": false,
      "info":     false,
      "pageLength": 5,
      dom: 'Bfrtip',
      buttons: [{
           extend: 'collection',
              text: '<?php echo app('translator')->get('fleet.Export'); ?>',
              buttons: [
                  'excel',
                  'csv',
                  'pdf',
                  'print'
              ]}
      ],
      "language": {
               "url": '<?php echo e(asset("assets/datatables/")."/".__("fleet.datatable_lang")); ?>',
            }
    });
</script>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/taranfutouch/public_html/transport/framework/resources/views/reports/driver.blade.php ENDPATH**/ ?>