<?php $__env->startSection("breadcrumb"); ?>
<li class="breadcrumb-item active"><?php echo app('translator')->get('fleet.vehicleGroup'); ?></li>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('extra_css'); ?>
<style type="text/css">
  .checkbox, #chk_all{
    width: 20px;
    height: 20px;
  }
</style>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<div class="row">
  <div class="col-md-12">
    <div class="card card-info">
      <div class="card-header">
        <h3 class="card-title">
        <?php echo app('translator')->get('fleet.vehicleGroup'); ?>
        &nbsp;
        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('VehicleGroup add')): ?><a href="<?php echo e(route('vehicle_group.create')); ?>" class="btn btn-success" title="<?php echo app('translator')->get('fleet.createGroup'); ?>"><i class="fa fa-plus"></i></a><?php endif; ?></h3>
      </div>

      <div class="card-body table-responsive">
        <table class="table" id="ajax_data_table">
          <thead class="thead-inverse">
            <tr>
              <th>
                <input type="checkbox" id="chk_all">
              </th>
              <th><?php echo app('translator')->get('fleet.groupName'); ?></th>
              <th><?php echo app('translator')->get('fleet.description'); ?></th>
              <th><?php echo app('translator')->get('fleet.vehicles'); ?></th>
              <th><?php echo app('translator')->get('fleet.users'); ?></th>
              <th><?php echo app('translator')->get('fleet.action'); ?></th>
            </tr>
          </thead>
          <tbody>
           
          </tbody>
          <tfoot>
            <tr>
              <th>
                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('VehicleGroup delete')): ?><button class="btn btn-danger" id="bulk_delete" data-toggle="modal" data-target="#bulkModal" disabled title="<?php echo app('translator')->get('fleet.delete'); ?>" ><i class="fa fa-trash"></i></button><?php endif; ?>
              </th>
              <th><?php echo app('translator')->get('fleet.groupName'); ?></th>
              <th><?php echo app('translator')->get('fleet.description'); ?></th>
              <th><?php echo app('translator')->get('fleet.vehicles'); ?></th>
              <th><?php echo app('translator')->get('fleet.users'); ?></th>
              <th><?php echo app('translator')->get('fleet.action'); ?></th>
            </tr>
          </tfoot>
        </table>
      </div>
    </div>
  </div>
</div>

<!-- Modal -->
<div id="bulkModal" class="modal fade" role="dialog">
  <div class="modal-dialog">
    <!-- Modal content-->
    <div class="modal-content">
      <div class="modal-header">
        <h4 class="modal-title"><?php echo app('translator')->get('fleet.delete'); ?></h4>
        <button type="button" class="close" data-dismiss="modal">&times;</button>
      </div>
      <div class="modal-body">
        <?php echo Form::open(['url'=>'admin/delete-vehicle-groups','method'=>'POST','id'=>'form_delete']); ?>

        <div id="bulk_hidden"></div>
        <p><?php echo app('translator')->get('fleet.confirm_bulk_delete'); ?></p>
      </div>
      <div class="modal-footer">
        <button id="bulk_action" class="btn btn-danger" type="submit" data-submit=""><?php echo app('translator')->get('fleet.delete'); ?></button>
        <button type="button" class="btn btn-default" data-dismiss="modal"><?php echo app('translator')->get('fleet.close'); ?></button>
      </div>
        <?php echo Form::close(); ?>

    </div>
  </div>
</div>
<!-- Modal -->

<!-- Modal -->
<div id="myModal" class="modal fade" role="dialog">
  <div class="modal-dialog">
    <!-- Modal content-->
    <div class="modal-content">
      <div class="modal-header">
        <h4 class="modal-title"><?php echo app('translator')->get('fleet.delete'); ?></h4>
        <button type="button" class="close" data-dismiss="modal">&times;</button>
      </div>
      <div class="modal-body">
        <p><?php echo app('translator')->get('fleet.confirm_delete'); ?></p>
      </div>
      <div class="modal-footer">
        <button id="del_btn" class="btn btn-danger" type="button" data-submit=""><?php echo app('translator')->get('fleet.delete'); ?></button>
        <button type="button" class="btn btn-default" data-dismiss="modal"><?php echo app('translator')->get('fleet.close'); ?></button>
      </div>
    </div>
  </div>
</div>
<!-- Modal -->

<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
<script type="text/javascript">
  $("#del_btn").on("click", function () {
    var id = $(this).data("submit");
    $("#form_" + id).submit();
  });

  $('#myModal').on('show.bs.modal', function (e) {
    var id = e.relatedTarget.dataset.id;
    $("#del_btn").attr("data-submit", id);
  });
  $(document).on('click', 'input[type="checkbox"]', function () {
    if (this.checked) {
      $('#bulk_delete').prop('disabled', false);

    } else {
      if ($("input[name='ids[]']:checked").length == 0) {
        $('#bulk_delete').prop('disabled', true);
      }
    }

  });
  $(function () {
    var table = $('#ajax_data_table').DataTable({
      "language": {
        "url": '<?php echo e(asset("assets/datatables/")."/".__("fleet.datatable_lang")); ?>',
      },
      processing: true,
      serverSide: true,
      ajax: {
        url: "<?php echo e(url('admin/vehicle-group-fetch')); ?>",
        type: 'POST',
        data: {}
      },
      columns: [
        { data: 'check', name: 'check', searchable: false, orderable: false },
        { data: 'name',name: 'name' },
        { data: 'description',name: 'description' },
        { data: 'vehicle_count',name: 'vehicle_count' },       
        { data: 'user_count',name: 'user_count' },       
        { data: 'action',name: 'action',searchable: false,orderable: false }
      ],
      order: [ [1, 'desc'] ],
      "initComplete": function () {
        table.columns().every(function () {
          var that = this;
          $('input', this.footer()).on('keyup change', function () {
            // console.log($(this).parent().index());
            that.search(this.value).draw();
          });
        });
      }
    });
  });
  

  $('#bulk_delete').on('click', function () {
    // console.log($( "input[name='ids[]']:checked" ).length);
    if ($("input[name='ids[]']:checked").length == 0) {
      $('#bulk_delete').prop('type', 'button');
      new PNotify({
        title: 'Failed!',
        text: "<?php echo app('translator')->get('fleet.delete_error'); ?>",
        type: 'error'
      });
      $('#bulk_delete').attr('disabled', true);
    }
    if ($("input[name='ids[]']:checked").length > 0) {
      // var favorite = [];
      $.each($("input[name='ids[]']:checked"), function () {
        // favorite.push($(this).val());
        $("#bulk_hidden").append('<input type=hidden name=ids[] value=' + $(this).val() + '>');
      });
      // console.log(favorite);
    }
  });


  $('#chk_all').on('click', function () {
    if (this.checked) {
      $('.checkbox').each(function () {
        $('.checkbox').prop("checked", true);
      });
    } else {
      $('.checkbox').each(function () {
        $('.checkbox').prop("checked", false);
      });
      $('#bulk_delete').prop('disabled', true);
    }
  });


  $('#chk_all').on('click', function () {
    if (this.checked) {
      $('.checkbox').each(function () {
        $('.checkbox').prop("checked", true);
      });
    } else {
      $('.checkbox').each(function () {
        $('.checkbox').prop("checked", false);
      });
      $('#bulk_delete').prop('disabled', true);
    }
  });

  // Checkbox checked
  function checkcheckbox() {
    // Total checkboxes
    var length = $('.checkbox').length;
    // Total checked checkboxes
    var totalchecked = 0;
    $('.checkbox').each(function () {
      if ($(this).is(':checked')) {
        totalchecked += 1;
      }
    });
    // console.log(length+" "+totalchecked);
    // Checked unchecked checkbox
    if (totalchecked == length) {
      $("#chk_all").prop('checked', true);
    } else {
      $('#chk_all').prop('checked', false);
    }
  }
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make("layouts.app", \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH E:\xampp\htdocs\driver\framework\resources\views/vehicle_groups/index.blade.php ENDPATH**/ ?>