<?php $__env->startSection("breadcrumb"); ?>
<li class="breadcrumb-item"><?php echo e(link_to_route('roles.index', __('fleet.roles'))); ?></li>
<li class="breadcrumb-item active"><?php echo app('translator')->get('fleet.add_role'); ?></li>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('extra_css'); ?>
<style>
  input[type="checkbox"]{
    width:20px;
    margin: 0px auto;
  }
  .table-row label{
    margin-top: 0.5rem;
  }
  .table td, .table th {
    padding: 0.30rem 0.50rem;
  }
</style>  
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
<div class="row">
  <div class="col-md-12">
    <div class="card card-warning">
      <div class="card-header">
        <h3 class="card-title"><?php echo app('translator')->get('fleet.edit_role'); ?></h3>
      </div>

      <div class="card-body">
        <?php if(count($errors) > 0): ?>
          <div class="alert alert-danger">
            <ul>
              <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
              <li><?php echo e($error); ?></li>
              <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </ul>
          </div>
        <?php endif; ?>

        <?php echo Form::open(['route' => ['roles.update',$data->id],'method'=>'PATCH']); ?>

        <?php echo Form::hidden('id',$data->id); ?>

        <div class="row">
          <div class="form-group col-md-6">
            <?php echo Form::label('name', __('fleet.name'), ['class' => 'form-label']); ?>

            <?php echo Form::text('name', $data->name,['class' => 'form-control','required']); ?>

          </div>
        </div>
        <div class="row">
          <?php echo Form::label('permission',__('fleet.module_permission').":", ['class' => 'col-xs-5 control-label']); ?>

        </div>
        <div class="row" style="height:500px; overflow-y:auto;">  
          <table class="table table-bordered">
            <thead>
              <tr>
                <th style="width:22px !important;" scope="col">Module Name</th>
                <th class="text-center" style="width:13px !important;" scope="col">List</th>
                <th class="text-center" style="width:13px !important;" scope="col">Add</th>
                <th class="text-center" style="width:13px !important;" scope="col">Edit</th>
                <th class="text-center" style="width:13px !important;" scope="col">Delete</th>
                <th class="text-center" style="width:13px !important;" scope="col">Import Excel</th>
                <th class="text-center" style="width:13px !important;" scope="col">All</th>
              </tr>
            </thead>
            <tbody>
              <?php $new_names = ['users','drivers','customers','vehicles','vehicle_type','vehicleGroup','vehicle_inspection','transactions','bookings','booking_quotes','reports','fuel','vendors','parts','parts_category','work_orders','mechanics','notes','serviceReminders','serviceItems','testimonials','team','settings','inquiries']; ?>
              <?php $new_modules = array_combine($modules,$new_names); ?>
              
              <?php $__currentLoopData = $new_modules; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $row=>$val): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
              <tr>
                <th scope="row" class="table-row"><?php echo Form::label('permission',__('menu.'.$val), ['class' => 'col-xs-5 control-label']); ?></th>
                <td>
                  <?php if(!in_array($row,["Inquiries","Reports","Settings"])): ?>
                    <input type="checkbox" name="<?php echo e($row." list"); ?>" value="1" class="flat-red form-control <?php echo e($row); ?>" <?php if($data->hasPermissionTo($row." list")): ?> checked <?php endif; ?>>
                  <?php endif; ?>
                </td>
                <td>
                  <?php if(!in_array($row,["Inquiries","Reports","Settings"])): ?>
                    <input type="checkbox" name="<?php echo e($row." add"); ?>" value="1" class="flat-red form-control <?php echo e($row); ?>" <?php if($data->hasPermissionTo($row." add")): ?> checked <?php endif; ?>>
                  <?php endif; ?>
                </td>
                <td>
                  <?php if(!in_array($row,["Inquiries","Reports","Transactions","ServiceReminders","Settings"])): ?>
                    <input type="checkbox" name="<?php echo e($row." edit"); ?>" value="1" class="flat-red form-control <?php echo e($row); ?>" <?php if($data->hasPermissionTo($row." edit")): ?> checked <?php endif; ?>>
                  <?php endif; ?>
                </td>
                <td>
                  <?php if(!in_array($row,["Inquiries","Reports","Settings"])): ?>
                    <input type="checkbox" name="<?php echo e($row." delete"); ?>" value="1" class="flat-red form-control <?php echo e($row); ?>" <?php if($data->hasPermissionTo($row." delete")): ?> checked <?php endif; ?>>
                  <?php endif; ?>
                </td>
                <td>
                  <?php if(in_array($row,["Drivers","Customer","Vendors"])): ?>
                    <input type="checkbox" name="<?php echo e($row." import"); ?>" value="1" class="flat-red form-control <?php echo e($row); ?>" <?php if($data->hasPermissionTo($row." import")): ?> checked <?php endif; ?>>
                  <?php endif; ?>
                </td>
                <td>
                  <?php if(in_array($row,["Inquiries","Reports","Settings"])): ?>
                  <input type="checkbox" name="<?php echo e($row." list"); ?>" value="1" class="flat-red form-control" <?php if($data->hasPermissionTo($row." list")): ?> checked <?php endif; ?>>
                  <?php else: ?>
                    <input type="checkbox" class="flat-red form-control All" data-type="<?php echo e($row); ?>">
                  <?php endif; ?>
                </td>
              </tr>
              <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </tbody>
          </table>
        </div> 
      </div>
      <div class="card-footer">
        <div class="row">
          <div class="form-group col-md-4">
            <?php echo Form::submit(__('fleet.update'), ['class' => 'btn btn-warning']); ?>

          </div>
        </div>
      </div>
      <?php echo Form::close(); ?>

    </div>
  </div>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
  <script>
    $(".All").change(function() {
      var name = $(this).data('type');
      if(this.checked) {
        $('.'+name).prop("checked", true);
      }
      else{
        $('.'+name).prop("checked", false);
      }
    });
  </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH E:\xampp\htdocs\driver\framework\resources\views/roles/edit.blade.php ENDPATH**/ ?>