<?php $currency = Hyvikk::get('currency') ?>
<?php $date_format_setting = (Hyvikk::get('date_format')) ? Hyvikk::get('date_format') : 'd-m-Y'; ?>
<?php $__env->startSection("breadcrumb"); ?>
<li class="breadcrumb-item"><a href="#"><?php echo app('translator')->get('menu.reports'); ?></a></li>
<li class="breadcrumb-item active"><?php echo app('translator')->get('fleet.paymentReport'); ?></li>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('extra_css'); ?>
<link rel="stylesheet" href="<?php echo e(asset('assets/css/bootstrap-datepicker.min.css')); ?>">
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<div class="row">

  <div class="col-md-12">
    <div class="card card-info">
      <div class="card-header">
        <h3 class="card-title"><?php echo app('translator')->get('fleet.add'); ?> <?php echo app('translator')->get('fleet.driverPayment'); ?>
        </h3>
      </div>
      <div class="card-body">
  <?php if(count($errors) > 0): ?>
    <div class="alert alert-danger">
      <ul>
        <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <li><?php echo e($error); ?></li>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
      </ul>
    </div>
    <?php endif; ?>
        <?php echo Form::open(['route'=>'reports.payments', 'files'=>true, 'method'=>'POST']); ?>

        <div class="row">
          <div class="col-md-6 form-group">
            <?php echo Form::label('driver', trans('fleet.driver')); ?>

            <div class="form-group" style="margin-left:5px;">
            <select class="form-control" id="driver" name="driver">
              <option selected="selected" value="">Select</option>
              <?php $__currentLoopData = $drivers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $driver): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?> 
               <option value="<?php echo e($driver->id); ?>"><?php echo e($driver->name); ?></option>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
             </select></div>
            
          </div>
          <div class="col-md-6 form-group">
            <?php echo Form::label('amount', trans('fleet.amount')); ?>

            <div class="form-group" style="margin-left:5px;">
            <input class="form-control" step="0.01" name="amount" type="number" id="amount"></div>
          </div>
          <div class="col-md-6 form-group">
            <?php echo Form::label('amount', trans('Date')); ?>

            <div class="form-group" style="margin-left:5px;">
             <div class="col-xs-6">
                  <div class="input-group date">
                    <div class="input-group-prepend"><span class="input-group-text"><i class="fa fa-calendar"></i></span></div>
                    <input class="form-control" name="amount_date" type="text" id="amount_date">
                  </div>
                </div>
          </div>
        </div>
        <div class="col-md-6 form-group">
                  <?php echo Form::label('pay_proof', __('Payment Attachment'), ['class' => 'col-xs-5 control-label']); ?>

                  <div class="col-xs-6">
                    <?php echo Form::file('pay_proof',null,['class' => 'form-control']); ?>

                  </div>
                </div>
          <div class="col-md-6 form-group">
            <?php echo Form::label('notes', trans('fleet.notes')); ?>

            <div class="form-group" style="margin-left:5px;">
            <?php echo Form::textarea('notes',null,['class'=>'form-control','rows'=>2]); ?></div>
          </div>
          <div class="col-md-12">
            <?php echo Form::submit(trans('fleet.submit'), ['class'=>'btn btn-primary']); ?>

          </div>
        </div>
        <?php echo Form::close(); ?>

      </div>
    </div>
    <div class="card card-info">
      <div class="card-header">
        <h3 class="card-title"><?php echo app('translator')->get('fleet.paymentReport'); ?>
        </h3>
      </div>
      <div class="card-body">
        <div class="row">
          <div class="col-md-12">
            <div class="table-responsive">
              <table class="table w-100" id="data_table">
                <thead>
                  <tr>
                    <th></th>
                    
                    <th><?php echo app('translator')->get('fleet.driver'); ?> <?php echo app('translator')->get('fleet.id'); ?></th>
                    <th><?php echo app('translator')->get('fleet.driver'); ?></th>
                    <th><?php echo app('translator')->get('fleet.description'); ?></th>
                    <th><?php echo app('translator')->get('Proof'); ?></th>
                    <th><?php echo app('translator')->get('fleet.amount'); ?></th>
                    <th><?php echo app('translator')->get('Date'); ?></th>
                    <th>Added By</th>
                  </tr>
                </thead>
                <tbody>
                  <?php $__currentLoopData = $driver_payments; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $payment): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                  
                  <tr>
                    <td></td>
                    
                    <td><?php echo e($payment->driver_id); ?></td>
                    <td><?php echo e($payment->driver->name); ?></td>
                    <td><?php echo e($payment->notes); ?></td>
                    <td><?php if($payment->pay_proof) { ?> <a href="<?php echo e(asset('uploads/'.$payment->pay_proof)); ?>" target="_blank">View</a><?php } else echo 'N/A'; ?></td>
                    <td><?php echo e($currency); ?><?php echo e($payment->amount); ?></td>
                    <td><?php if($payment->amount_date) echo $payment->amount_date; else echo $payment->created_at; ?></td>
                    <td><?php if($payment->user_id): ?>
                <?php echo e(\App\Model\User::where('id', $payment->user_id)->value('name')); ?>

                <?php else: ?>
                
                <?php endif; ?></td>
                  </tr>
                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </tbody>
                <tfoot>
                  <tr>
                    <th></th>
                    
                    <th><?php echo app('translator')->get('fleet.driver'); ?> <?php echo app('translator')->get('fleet.id'); ?></th>
                    <th><?php echo app('translator')->get('fleet.driver'); ?></th>
                    <th><?php echo app('translator')->get('fleet.description'); ?></th>
                    <th><?php echo app('translator')->get('Proof'); ?></th>
                    <th><?php echo app('translator')->get('fleet.amount'); ?></th>
                    <th><?php echo app('translator')->get('Date'); ?></th>
                    <th>Added By</th>
                  </tr>
                </tfoot>
              </table>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
<script>
  var oneMonthAgo = new Date();
  oneMonthAgo.setMonth(oneMonthAgo.getMonth() - 1);
  $('#amount_date').datepicker({
    autoclose: true,
    format: 'yyyy-mm-dd',
    startDate: oneMonthAgo,
    endDate: null, // Allow all future dates
  });
  
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/taranfutouch/public_html/transport/framework/resources/views/reports/driver_payments.blade.php ENDPATH**/ ?>