<?php $__env->startSection('extra_css'); ?>
<style type="text/css">
  /* The switch - the box around the slider */
  .switch {
    position: relative;
    display: inline-block;
    width: 60px;
    height: 34px;
  }

  /* Hide default HTML checkbox */
  .switch input {
    display: none;
  }

  /* The slider */
  .slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    -webkit-transition: .4s;
    transition: .4s;
  }

  .slider:before {
    position: absolute;
    content: "";
    height: 26px;
    width: 26px;
    left: 4px;
    bottom: 4px;
    background-color: white;
    -webkit-transition: .4s;
    transition: .4s;
  }

  input:checked+.slider {
    background-color: #2196F3;
  }

  input:focus+.slider {
    box-shadow: 0 0 1px #2196F3;
  }

  input:checked+.slider:before {
    -webkit-transform: translateX(26px);
    -ms-transform: translateX(26px);
    transform: translateX(26px);
  }

  /* Rounded sliders */
  .slider.round {
    border-radius: 34px;
  }

  .slider.round:before {
    border-radius: 50%;
  }
  .nav-link.active {
    background-color: #28a745 !important;
  }
</style>
<link rel="stylesheet" href="<?php echo e(asset('assets/css/bootstrap-datepicker.min.css')); ?>">
<?php $__env->stopSection(); ?>
<?php $__env->startSection("breadcrumb"); ?>
<li class="breadcrumb-item"><?php echo e(link_to_route('voucher_index', __('Vouchers'))); ?></li>
<li class="breadcrumb-item active">Add Voucher</li>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<?php ($currency=Hyvikk::get('currency')); ?>
<div class="container mt-4">
   <?php if(count($errors) > 0): ?>
          <div class="alert alert-danger">
            <ul>
              <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
              <li><?php echo e($error); ?></li>
              <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </ul>
          </div>
        <?php endif; ?>
    <div class="row">
        <!-- Left Sidebar Tabs -->
        <div class="col-md-3">
            <div class="nav flex-column nav-pills" id="v-pills-tab" role="tablist" aria-orientation="vertical">
                <a class="nav-link active" id="tab1-tab" data-toggle="pill" href="#tab1" role="tab">Vehicle Movements</a>
                <a class="nav-link" id="tab2-tab" data-toggle="pill" href="#tab2" role="tab">Add Fuel</a>
                <a class="nav-link" id="tab3-tab" data-toggle="pill" href="#tab3" role="tab">Driver Payment</a>
                <a class="nav-link" id="tab4-tab" data-toggle="pill" href="#tab4" role="tab">Expense</a>
            </div>
        </div>

        <!-- Right Content Area -->
        <div class="col-md-9">
          <?php echo Form::open(['route' => 'voucher.store','method'=>'post','files'=>true]); ?>

            <div class="tab-content" id="v-pills-tabContent">
                <div class="tab-pane fade show active" id="tab1" role="tabpanel">
                    <div class="row">
  <div class="col-md-12">
    <div class="card card-success">
      <div class="card-header">
        <h3 class="card-title">Add Vehicle Movement</h3>
      </div>


      <div class="card-body">
        

      
      <div class="row">
       <div class="form-group col-md-6">
              <?php echo Form::label('vehicle_id',__('fleet.selectVehicle'), ['class' => 'form-label']); ?>

              <select id="vehicle_id" name="vehicle_id" class="form-control" required>
                <option value=""></option>
                <?php $__currentLoopData = $vehicles; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $vehicle): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <option value="<?php echo e($vehicle->id); ?>"><?php echo e($vehicle->make_name); ?> - <?php echo e($vehicle->model_name); ?> -
                  <?php echo e($vehicle->license_plate); ?></option>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
              </select>
            </div>

            <div class="form-group col-md-6">
                  <label for="color_name" class="col-xs-5 control-label">Select Vehicle Source</label>
                  <a data-toggle="modal" data-target="#myModal3"><i class="fa fa-info-circle fa-lg" aria-hidden="true" style="color: #8639dd"></i></a>

                  <div class="col-xs-6">
                   <select name="source" class="form-control" required id="source">
                    <option></option>
                    <?php $__currentLoopData = $sources; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $source): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>   
                    <option value="<?php echo e($source); ?>" <?php if(old('source')==$source): ?> selected <?php endif; ?>><?php echo e($source); ?></option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                  </select>
                  </div>
                </div>

                <div class="form-group col-md-6">
                  <label for="destination" class="col-xs-5 control-label">Select Vehicle Destination</label>
                  <a data-toggle="modal" data-target="#myModal2"><i class="fa fa-info-circle fa-lg" aria-hidden="true" style="color: #8639dd"></i></a>

                  <div class="col-xs-6">
                   <select name="destination" class="form-control" required id="destination">
                    <option></option>
                    <?php $__currentLoopData = $destinations; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $destination): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>   
                    <option value="<?php echo e($destination); ?>" <?php if(old('destination')==$destination): ?> selected <?php endif; ?>><?php echo e($destination); ?></option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                  </select>
                  </div>
                </div>

                <div class="form-group col-md-6">
                  <label for="party" class="col-xs-5 control-label">Select Vehicle Party</label>
                  <a data-toggle="modal" data-target="#myModal1"><i class="fa fa-info-circle fa-lg" aria-hidden="true" style="color: #8639dd"></i></a>

                  <div class="col-xs-6">
                   <select name="party" class="form-control" required id="party">
                    <option></option>
                    <?php $__currentLoopData = $parties; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $party): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>   
                    <option value="<?php echo e($party); ?>" <?php if(old('party')==$party): ?> selected <?php endif; ?>><?php echo e($party); ?></option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                  </select>
                  </div>
                </div>
                
                <div class="form-group col-md-6">
              <?php echo Form::label('loading','Loading', ['class' => 'form-label']); ?>

              <div class='input-group'>
                <div class="input-group-prepend">
                  <span class="input-group-text"><span class="fa fa-calendar"></span>
                  </span>
                </div>
                <?php echo Form::text('loading',date("Y-m-d"),['class'=>'form-control','required']); ?>

              </div>
            </div>
            <div class="col-md-6 form-group">
                  <?php echo Form::label('pod_upload', __('POD Attachment'), ['class' => 'col-xs-5 control-label']); ?>

                  <div class="col-xs-6">
                    <?php echo Form::file('pod_upload',null,['class' => 'form-control']); ?>

                  </div>
                </div>
            <div class="form-group col-md-6">
                  <label for="freight" class="form-label">Freight</label>
                  <div class="input-group mb-3">
                    <div class="input-group-prepend">
                      <span class="input-group-text">₹</span>
                    </div>
                    <input class="form-control" step="0.01" min="10" name="freight" type="number" value="0.00" id="freight" required>
                  </div>
                </div>
                <div class="form-group col-md-6">
                  <label for="advance" class="form-label">Advance</label>
                  <div class="input-group mb-3">
                    <div class="input-group-prepend">
                      <span class="input-group-text">₹</span>
                    </div>
                    <input class="form-control" step="0.01" min="10" name="advance" type="number" value="0.00" id="advance" required>
                  </div>
                </div>
                <div class="form-group col-md-6">
                  <label for="commission" class="form-label">Commission</label>
                  <div class="input-group mb-3">
                    <div class="input-group-prepend">
                      <span class="input-group-text">₹</span>
                    </div>
                    <input class="form-control" step="0.01" min="10" name="commission" type="number" value="0.00" id="commission" required>
                  </div>
                </div>
                <div class="form-group col-md-6">
                  <label for="balance" class="form-label">Balance</label>
                  <div class="input-group mb-3">
                    <div class="input-group-prepend">
                      <span class="input-group-text">₹</span>
                    </div>
                    <input class="form-control" step="0.01" min="10" name="balance" type="number" value="0.00" id="balance" required style="pointer-events:none;">
                  </div>
                </div>
                 <div class="form-group col-md-6">
                  <label for="doc_no" class="form-label">Doc No.</label>
                  <div class="input-group mb-3">
                    <input class="form-control" name="doc_no" type="text"  id="doc_no" required>
                  </div>
                </div>
            <div class="form-group col-md-6">
                  <label for="color_name" class="col-xs-5 control-label">Source of Payment</label>
                  <a data-toggle="modal" data-target="#myModal3"><i class="fa fa-info-circle fa-lg" aria-hidden="true" style="color: #8639dd"></i></a>

                  <div class="col-xs-6">
                   <select name="payment_source" class="form-control" required id="payment_source">
                    <option></option>
                    <?php $__currentLoopData = $payment_sources; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $payment_source): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>   
                    <option value="<?php echo e($payment_source); ?>" <?php if(old('payment_source')==$payment_source): ?> selected <?php endif; ?>><?php echo e($payment_source); ?></option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    
                  </select>
                  </div>
                </div>
             

      </div>
      </div>
      
      
    </div>
  </div>
</div>
                </div>
                <div class="tab-pane fade" id="tab2" role="tabpanel">
                    <div class="row">
  <div class="col-md-12">
    <div class="card card-success">
      <div class="card-header">
        <h3 class="card-title"><?php echo app('translator')->get('fleet.addFuel'); ?></h3>
      </div>

      <div class="card-body">
       
        

        <?php echo Form::hidden('user_id',Auth::user()->id); ?>

        <div class="row">
          <div class="col-md-6">           

            <div class="form-group">
              <?php echo Form::label('date',__('fleet.date'), ['class' => 'form-label']); ?>

              <div class='input-group'>
                <div class="input-group-prepend">
                  <span class="input-group-text"><span class="fa fa-calendar"></span>
                  </span>
                </div>
                <?php echo Form::text('date',date("Y-m-d"),['class'=>'form-control','required']); ?>

              </div>
            </div>

            <div class="form-group">
              <?php echo Form::label('start_meter',__('fleet.start_meter'), ['class' => 'form-label']); ?>

              <?php echo Form::number('start_meter',null,['class'=>'form-control']); ?>

              <small><?php echo app('translator')->get('fleet.meter_reading'); ?></small>
            </div>

          

            <div class="form-group">
              <?php echo Form::label('province',__('fleet.province'), ['class' => 'form-label']); ?>

              <?php echo Form::text('province',null,['class'=>'form-control']); ?>

            </div>
            <div class="form-group">
              <?php echo Form::label('image',__('fleet.select_image'), ['class' => 'form-label']); ?>

              <?php echo Form::file('image',['class'=>'form-control']); ?>

            </div>
            <div class="form-group">
              <?php echo Form::label('note',__('fleet.note'), ['class' => 'form-label']); ?>

              <?php echo Form::text('note',null,['class'=>'form-control']); ?>

            </div>
           
          </div>

          <div class="col-md-6">
            <div class="card card-solid">
              <div class="card-header">
                <h3 class="card-title"><?php echo app('translator')->get('fleet.fuel_coming_from'); ?></h3>
              </div>
              <div class="card-body">
                <input type="radio" name="fuel_from" class="flat-red fuel_from" value="Fuel Tank">
                <?php echo Form::label('fuel_from', __('fleet.fuel_tank'), ['class' => 'form-label']); ?>

                <br>
                <input type="radio" name="fuel_from" class="flat-red fuel_from" value="Vendor" id="r1">
                <?php echo Form::label('fuel_from', __('fleet.vendor'), ['class' => 'form-label']); ?>

                <select id="vendor_name" name="vendor_name" class="form-control" disabled>
                  <option value="">-</option>
                  <?php $__currentLoopData = $vendors; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $vendor): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                  <option value="<?php echo e($vendor->id); ?>"> <?php echo e($vendor->name); ?> </option>
                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>
              </div>
            </div>

            <div class="card card-solid">
              <div class="card-header">
                <h3 class="card-title">
                  <?php echo app('translator')->get('fleet.fuel'); ?>
                </h3>
              </div>
              <div class="card-body">
                <div class="form-group">
                  <label for="qty" class="form-label">Qty (liter)</label>
                  <input class="form-control" step="0.01" min="0.01" name="qty" type="number" value="0.00" id="qty" style="pointer-events:none;">
                </div>
               <div class="form-group">
                  <label for="cost_per_unit" class="form-label">Cost/Unit</label>
                  <div class="input-group mb-3">
                    <div class="input-group-prepend">
                      <span class="input-group-text">₹</span>
                    </div>
                    <input class="form-control" step="0.01" min="50" name="cost_per_unit" type="number" value="0.00" id="cost_per_unit" required>
                  </div>
                </div>
                <div class="form-group">
                  <label for="fuel_cost" class="form-label">Total Amount</label>
                  <div class="input-group mb-3">
                    <div class="input-group-prepend">
                      <span class="input-group-text">₹</span>
                    </div>
                   <input class="form-control" step="0.01" min="50" name="fuel_cost" type="number" value="0.00" id="fuel_cost" required>
                  </div>                  
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
                </div>
                <div class="tab-pane fade" id="tab3" role="tabpanel">
                   <div class="row">
  <div class="col-md-12">
    <div class="card card-success">
      <div class="card-header">
        <h3 class="card-title">Add Driver Payment </h3>
      </div>

      <div class="card-body">
                    <div class="row">
          <div class="col-md-6 form-group">
            <?php echo Form::label('driver', trans('fleet.driver')); ?>

            <div class="form-group" style="margin-left:5px;">
            <select class="form-control" id="driver" name="driver">
              <option selected="selected" value="">Select</option>
              <?php $__currentLoopData = $drivers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $driver): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?> 
               <option value="<?php echo e($driver->id); ?>"><?php echo e($driver->name); ?></option>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
             </select></div>
            
          </div>
          <div class="col-md-6 form-group">
            <?php echo Form::label('amount', trans('fleet.amount')); ?>

            <div class="form-group" style="margin-left:5px;">
            <input class="form-control" step="0.01" name="amount" type="number" id="amount"></div>
          </div>
          <div class="col-md-6 form-group">
            <?php echo Form::label('amount', trans('Date')); ?>

            <div class="form-group" style="margin-left:5px;">
             <div class="col-xs-6">
                  <div class="input-group date">
                    <div class="input-group-prepend"><span class="input-group-text"><i class="fa fa-calendar"></i></span></div>
                    <input class="form-control" name="amount_date" type="text" id="amount_date">
                  </div>
                </div>
          </div>
        </div>
        <div class="col-md-6 form-group">
                  <?php echo Form::label('pay_proof', __('Payment Attachment'), ['class' => 'col-xs-5 control-label']); ?>

                  <div class="col-xs-6">
                    <?php echo Form::file('pay_proof',null,['class' => 'form-control']); ?>

                  </div>
                </div>
          <div class="col-md-6 form-group">
            <?php echo Form::label('notes', trans('fleet.notes')); ?>

            <div class="form-group" style="margin-left:5px;">
            <?php echo Form::textarea('notes',null,['class'=>'form-control','rows'=>2]); ?></div>
          </div>
          
        </div>
      </div>
    </div>
  </div>
</div>
                </div>
                <div class="tab-pane fade" id="tab4" role="tabpanel">
                  <div class="row">
  <div class="col-md-12">
    <div class="card card-success">
      <div class="card-header">
        <h3 class="card-title">Add Expense </h3>
      </div>

      <div class="card-body">
                    <div class="row">         
          

          
          <div class="col-md-4" style="margin-top: 5px;">
            <select id="expense_type" name="expense_type" class="form-control vehicles" style="width: 100%">
              <option value=""><?php echo app('translator')->get('fleet.expenseType'); ?></option>
              <?php $__currentLoopData = $types; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $type): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
              <option value="<?php echo e($type->id); ?>"><?php echo e($type->name); ?></option>
              <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
              
              
            </select>
          </div>
          <div class="col-md-4" style="margin-top: 5px;">
            <div class="input-group">
              <div class="input-group-prepend">
              <span class="input-group-text"><?php echo e($currency); ?></span></div>
              <input required="required" name="revenue" type="number" step="0.01" id="revenue" class="form-control">
            </div>
          </div>
          <div class="col-md-4" style="margin-top: 10px;">
            <div class="input-group">
              <input  name="comment" type="text" id="comment" class="form-control" placeholder=" <?php echo app('translator')->get('fleet.note'); ?>" style="width: 250px">
            </div>
          </div>
          <div class="col-md-3" style="margin-top: 10px;">
            <div class="input-group">
              <div class="input-group-prepend">
              <span class="input-group-text"><i class="fa fa-calendar"></i></span></div>
              <input  name="exp_date" type="text" id="exp_date" value="<?php echo e(date('Y-m-d')); ?>" class="form-control">
            </div>
          </div>
          
          
                </div>
              </div>
            </div>
          </div>
        </div>
            </div>
            <div class="form-group col-md-12 mt-3">
            <?php echo Form::submit(__('fleet.save'), ['class' => 'btn btn-success']); ?>

          </div>
            <?php echo Form::close(); ?>

        </div>
    </div>
</div>


<div id="myModal3" class="modal fade" role="dialog">
  <div class="modal-dialog" role="document">
    <!-- Modal content-->
    <div class="modal-content">
      <div class="modal-header">
        <h4 class="modal-title">Add New Source</h4>
        <button type="button" class="close" data-dismiss="modal">&times;</button>
      </div>
      <div class="modal-body">
        <p>You can create a new source by typing it in the textbox and selecting the entered source.</p>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal"><?php echo app('translator')->get('fleet.close'); ?></button>
      </div>
    </div>
  </div>
</div>

<div id="myModal2" class="modal fade" role="dialog">
  <div class="modal-dialog" role="document">
    <!-- Modal content-->
    <div class="modal-content">
      <div class="modal-header">
        <h4 class="modal-title">Add New Destination</h4>
        <button type="button" class="close" data-dismiss="modal">&times;</button>
      </div>
      <div class="modal-body">
        <p>You can create a new destination by typing it in the textbox and selecting the entered destination.</p>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal"><?php echo app('translator')->get('fleet.close'); ?></button>
      </div>
    </div>
  </div>
</div>

<div id="myModal1" class="modal fade" role="dialog">
  <div class="modal-dialog" role="document">
    <!-- Modal content-->
    <div class="modal-content">
      <div class="modal-header">
        <h4 class="modal-title">Add New Party</h4>
        <button type="button" class="close" data-dismiss="modal">&times;</button>
      </div>
      <div class="modal-body">
        <p>You can create a new party by typing it in the textbox and selecting the entered party.</p>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal"><?php echo app('translator')->get('fleet.close'); ?></button>
      </div>
    </div>
  </div>
</div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
<script type="text/javascript">
  $(document).ready(function() {
  //Flat green color scheme for iCheck
    $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({
      checkboxClass: 'icheckbox_flat-green',
      radioClass   : 'iradio_flat-green'
    });
  });
  $('#source').select2({placeholder:"Select Vehicle Source",tags:true});
  $('#destination').select2({placeholder:"Select Vehicle Destination",tags:true});
  $('#party').select2({placeholder:"Select Vehicle Party",tags:true});
  $('#payment_source').select2({placeholder:"Select Payment Source",tags:true});
  $("#vehicle_id").select2({placeholder: "<?php echo app('translator')->get('fleet.selectVehicle'); ?>"});
  $("#vendor_name").select2({placeholder: "<?php echo app('translator')->get('fleet.select_fuel_vendor'); ?>"});
  $('#expense_type').select2({placeholder:"Expense Type",tags:true});
  var oneMonthAgo = new Date();
  oneMonthAgo.setMonth(oneMonthAgo.getMonth() - 1);
  $('#loading').datepicker({
    autoclose: true,
    format: 'yyyy-mm-dd',
    startDate: oneMonthAgo,
    endDate: null, // Allow all future dates
  });

  $('#freight, #advance, #commission').on('keydown keyup', function(event) {
  getBalance();
});

  function getBalance() {
    var freight = $('#freight').val();    
    var advance = $('#advance').val();
    if (advance.length > 0) {
      freight = freight - advance;
    }
    var commission = $('#commission').val();
    if (commission.length > 0) {
      freight = freight - commission;
    }
    $('#balance').val(freight);

  }

   var oneMonthAgo = new Date();
  oneMonthAgo.setMonth(oneMonthAgo.getMonth() - 1);
  $('#date').datepicker({
    autoclose: true,
    format: 'yyyy-mm-dd',
    startDate: oneMonthAgo,
    endDate: null, // Allow all future dates
  });

  $("#date").on("dp.change", function (e) {
    var date=e.date.format("YYYY-MM-DD");
  });

  $('.fuel_from').on('change', function() {
    var select = $(this).val();
    if(this.value == "Vendor"){
        $('#vendor_name').prop('disabled', false);
    } else {
        $('#vendor_name').prop('disabled', true);
    }
  });
  $('#cost_per_unit, #fuel_cost').on('keydown keyup', function(event) {
  calculateQty();
});

  function calculateQty() {
    var costperltr = $('#cost_per_unit').val();
    var totalAmount = $('#fuel_cost').val();
    if (costperltr != '' &&  totalAmount != '') {
      var ttlQty = totalAmount/costperltr;
      $('#qty').val(ttlQty.toFixed(2));
    }
  }

  var oneMonthAgo = new Date();
  oneMonthAgo.setMonth(oneMonthAgo.getMonth() - 1);
  $('#amount_date, #exp_date').datepicker({
    autoclose: true,
    format: 'yyyy-mm-dd',
    startDate: oneMonthAgo,
    endDate: null, // Allow all future dates
  });

</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/taranfutouch/public_html/transport/framework/resources/views/vouchers/create.blade.php ENDPATH**/ ?>